#include <stdio.h>
#include <stdlib.h>
#include "libint.h"
#include "hrr_header.h"

extern "C" {
REALTYPE *(*build_eri[5][5][5][5])(Libint_t *, int);
int libint_stack_size[5];

/* This function initializes a matrix of pointers to routines */
/* for computing ERI classes up to (ls|ls) - the base of the library */

void init_libint_base()
{
  build_eri[0][0][1][0] = hrr_order_00p0;
  build_eri[0][0][2][0] = hrr_order_00d0;
  build_eri[0][0][1][1] = hrr_order_00pp;
  build_eri[0][0][3][0] = hrr_order_00f0;
  build_eri[0][0][2][1] = hrr_order_00dp;
  build_eri[0][0][4][0] = hrr_order_00g0;
  build_eri[0][0][3][1] = hrr_order_00fp;
  build_eri[0][0][2][2] = hrr_order_00dd;
  build_eri[0][0][4][1] = hrr_order_00gp;
  build_eri[0][0][3][2] = hrr_order_00fd;
  build_eri[0][0][4][2] = hrr_order_00gd;
  build_eri[0][0][3][3] = hrr_order_00ff;
  build_eri[0][0][4][3] = hrr_order_00gf;
  build_eri[0][0][4][4] = hrr_order_00gg;
  build_eri[1][0][1][0] = hrr_order_p0p0;
  build_eri[1][0][2][0] = hrr_order_p0d0;
  build_eri[1][0][1][1] = hrr_order_p0pp;
  build_eri[1][0][3][0] = hrr_order_p0f0;
  build_eri[1][0][2][1] = hrr_order_p0dp;
  build_eri[1][0][4][0] = hrr_order_p0g0;
  build_eri[1][0][3][1] = hrr_order_p0fp;
  build_eri[1][0][2][2] = hrr_order_p0dd;
  build_eri[1][0][4][1] = hrr_order_p0gp;
  build_eri[1][0][3][2] = hrr_order_p0fd;
  build_eri[1][0][4][2] = hrr_order_p0gd;
  build_eri[1][0][3][3] = hrr_order_p0ff;
  build_eri[1][0][4][3] = hrr_order_p0gf;
  build_eri[1][0][4][4] = hrr_order_p0gg;
  build_eri[2][0][2][0] = hrr_order_d0d0;
  build_eri[2][0][1][1] = hrr_order_d0pp;
  build_eri[2][0][3][0] = hrr_order_d0f0;
  build_eri[2][0][2][1] = hrr_order_d0dp;
  build_eri[2][0][4][0] = hrr_order_d0g0;
  build_eri[2][0][3][1] = hrr_order_d0fp;
  build_eri[2][0][2][2] = hrr_order_d0dd;
  build_eri[2][0][4][1] = hrr_order_d0gp;
  build_eri[2][0][3][2] = hrr_order_d0fd;
  build_eri[2][0][4][2] = hrr_order_d0gd;
  build_eri[2][0][3][3] = hrr_order_d0ff;
  build_eri[2][0][4][3] = hrr_order_d0gf;
  build_eri[2][0][4][4] = hrr_order_d0gg;
  build_eri[1][1][2][0] = hrr_order_ppd0;
  build_eri[1][1][1][1] = hrr_order_pppp;
  build_eri[1][1][3][0] = hrr_order_ppf0;
  build_eri[1][1][2][1] = hrr_order_ppdp;
  build_eri[1][1][4][0] = hrr_order_ppg0;
  build_eri[1][1][3][1] = hrr_order_ppfp;
  build_eri[1][1][2][2] = hrr_order_ppdd;
  build_eri[1][1][4][1] = hrr_order_ppgp;
  build_eri[1][1][3][2] = hrr_order_ppfd;
  build_eri[1][1][4][2] = hrr_order_ppgd;
  build_eri[1][1][3][3] = hrr_order_ppff;
  build_eri[1][1][4][3] = hrr_order_ppgf;
  build_eri[1][1][4][4] = hrr_order_ppgg;
  build_eri[3][0][3][0] = hrr_order_f0f0;
  build_eri[3][0][2][1] = hrr_order_f0dp;
  build_eri[3][0][4][0] = hrr_order_f0g0;
  build_eri[3][0][3][1] = hrr_order_f0fp;
  build_eri[3][0][2][2] = hrr_order_f0dd;
  build_eri[3][0][4][1] = hrr_order_f0gp;
  build_eri[3][0][3][2] = hrr_order_f0fd;
  build_eri[3][0][4][2] = hrr_order_f0gd;
  build_eri[3][0][3][3] = hrr_order_f0ff;
  build_eri[3][0][4][3] = hrr_order_f0gf;
  build_eri[3][0][4][4] = hrr_order_f0gg;
  build_eri[2][1][3][0] = hrr_order_dpf0;
  build_eri[2][1][2][1] = hrr_order_dpdp;
  build_eri[2][1][4][0] = hrr_order_dpg0;
  build_eri[2][1][3][1] = hrr_order_dpfp;
  build_eri[2][1][2][2] = hrr_order_dpdd;
  build_eri[2][1][4][1] = hrr_order_dpgp;
  build_eri[2][1][3][2] = hrr_order_dpfd;
  build_eri[2][1][4][2] = hrr_order_dpgd;
  build_eri[2][1][3][3] = hrr_order_dpff;
  build_eri[2][1][4][3] = hrr_order_dpgf;
  build_eri[2][1][4][4] = hrr_order_dpgg;
  build_eri[4][0][4][0] = hrr_order_g0g0;
  build_eri[4][0][3][1] = hrr_order_g0fp;
  build_eri[4][0][2][2] = hrr_order_g0dd;
  build_eri[4][0][4][1] = hrr_order_g0gp;
  build_eri[4][0][3][2] = hrr_order_g0fd;
  build_eri[4][0][4][2] = hrr_order_g0gd;
  build_eri[4][0][3][3] = hrr_order_g0ff;
  build_eri[4][0][4][3] = hrr_order_g0gf;
  build_eri[4][0][4][4] = hrr_order_g0gg;
  build_eri[3][1][4][0] = hrr_order_fpg0;
  build_eri[3][1][3][1] = hrr_order_fpfp;
  build_eri[3][1][2][2] = hrr_order_fpdd;
  build_eri[3][1][4][1] = hrr_order_fpgp;
  build_eri[3][1][3][2] = hrr_order_fpfd;
  build_eri[3][1][4][2] = hrr_order_fpgd;
  build_eri[3][1][3][3] = hrr_order_fpff;
  build_eri[3][1][4][3] = hrr_order_fpgf;
  build_eri[3][1][4][4] = hrr_order_fpgg;
  build_eri[2][2][4][0] = hrr_order_ddg0;
  build_eri[2][2][3][1] = hrr_order_ddfp;
  build_eri[2][2][2][2] = hrr_order_dddd;
  build_eri[2][2][4][1] = hrr_order_ddgp;
  build_eri[2][2][3][2] = hrr_order_ddfd;
  build_eri[2][2][4][2] = hrr_order_ddgd;
  build_eri[2][2][3][3] = hrr_order_ddff;
  build_eri[2][2][4][3] = hrr_order_ddgf;
  build_eri[2][2][4][4] = hrr_order_ddgg;
  build_eri[4][1][4][1] = hrr_order_gpgp;
  build_eri[4][1][3][2] = hrr_order_gpfd;
  build_eri[4][1][4][2] = hrr_order_gpgd;
  build_eri[4][1][3][3] = hrr_order_gpff;
  build_eri[4][1][4][3] = hrr_order_gpgf;
  build_eri[4][1][4][4] = hrr_order_gpgg;
  build_eri[3][2][4][1] = hrr_order_fdgp;
  build_eri[3][2][3][2] = hrr_order_fdfd;
  build_eri[3][2][4][2] = hrr_order_fdgd;
  build_eri[3][2][3][3] = hrr_order_fdff;
  build_eri[3][2][4][3] = hrr_order_fdgf;
  build_eri[3][2][4][4] = hrr_order_fdgg;
  build_eri[4][2][4][2] = hrr_order_gdgd;
  build_eri[4][2][3][3] = hrr_order_gdff;
  build_eri[4][2][4][3] = hrr_order_gdgf;
  build_eri[4][2][4][4] = hrr_order_gdgg;
  build_eri[3][3][4][2] = hrr_order_ffgd;
  build_eri[3][3][3][3] = hrr_order_ffff;
  build_eri[3][3][4][3] = hrr_order_ffgf;
  build_eri[3][3][4][4] = hrr_order_ffgg;
  build_eri[4][3][4][3] = hrr_order_gfgf;
  build_eri[4][3][4][4] = hrr_order_gfgg;
  build_eri[4][4][4][4] = hrr_order_gggg;

  libint_stack_size[0] = 1;
  libint_stack_size[1] = 222;
  libint_stack_size[2] = 3193;
  libint_stack_size[3] = 34956;
  libint_stack_size[4] = 219445;
}
/* These functions initialize library objects */
/* Library objects operate independently of each other */
int init_libint(Libint_t *libint, int max_am, int max_num_prim_quartets)
{
  int memory = 0;

  if (max_am >= LIBINT_MAX_AM) return -1;
  libint->int_stack = (REALTYPE *) malloc(libint_stack_size[max_am]*sizeof(REALTYPE));
  memory += libint_stack_size[max_am];
  libint->PrimQuartet = (prim_data *) malloc(max_num_prim_quartets*sizeof(prim_data));
  memory += max_num_prim_quartets*sizeof(prim_data)/sizeof(REALTYPE);
  return memory;
}

void free_libint(Libint_t *libint)
{
  if (libint->int_stack != NULL) {
    free(libint->int_stack);
    libint->int_stack = NULL;
  }
  if (libint->PrimQuartet != NULL) {
    free(libint->PrimQuartet);
    libint->PrimQuartet = NULL;
  }

  return;
}

int libint_storage_required(int max_am, int max_num_prim_quartets)
{
  int memory = 0;

  if (max_am >= LIBINT_MAX_AM) return -1;
  memory += libint_stack_size[max_am];
  memory += max_num_prim_quartets*sizeof(prim_data)/sizeof(REALTYPE);
  return memory;
}

}
