#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ddff(Libr12_t *, prim_data *);

  /* Computes (dd|ff) integrals for linear R12-methods */

void hrr_grt_order_ddff(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[2][3] = int_stack + 0;
 Libr12->t2vrr_classes[2][4] = int_stack + 60;
 Libr12->t2vrr_classes[2][5] = int_stack + 150;
 Libr12->t2vrr_classes[2][6] = int_stack + 276;
 Libr12->t2vrr_classes[3][3] = int_stack + 444;
 Libr12->t2vrr_classes[3][4] = int_stack + 544;
 Libr12->t2vrr_classes[3][5] = int_stack + 694;
 Libr12->t2vrr_classes[3][6] = int_stack + 904;
 Libr12->gvrr_classes[5][3] = int_stack + 1184;
 Libr12->t2vrr_classes[4][3] = int_stack + 1394;
 Libr12->gvrr_classes[5][4] = int_stack + 1544;
 Libr12->t2vrr_classes[4][4] = int_stack + 1859;
 Libr12->gvrr_classes[5][5] = int_stack + 2084;
 Libr12->t2vrr_classes[4][5] = int_stack + 2525;
 Libr12->t2vrr_classes[4][6] = int_stack + 2840;
 Libr12->gvrr_classes[2][7] = int_stack + 3260;
 Libr12->t1vrr_classes[2][3] = int_stack + 3476;
 Libr12->t1vrr_classes[2][4] = int_stack + 3536;
 Libr12->t1vrr_classes[2][5] = int_stack + 3626;
 Libr12->t1vrr_classes[2][6] = int_stack + 3752;
 Libr12->gvrr_classes[3][7] = int_stack + 3920;
 Libr12->t1vrr_classes[3][3] = int_stack + 4280;
 Libr12->t1vrr_classes[3][4] = int_stack + 4380;
 Libr12->t1vrr_classes[3][5] = int_stack + 4530;
 Libr12->t1vrr_classes[3][6] = int_stack + 4740;
 Libr12->t1vrr_classes[4][3] = int_stack + 5020;
 Libr12->t1vrr_classes[4][4] = int_stack + 5170;
 Libr12->t1vrr_classes[4][5] = int_stack + 5395;
 Libr12->t1vrr_classes[4][6] = int_stack + 5710;
 Libr12->rvrr_classes[2][3] = int_stack + 6130;
 Libr12->rvrr_classes[2][4] = int_stack + 6190;
 Libr12->rvrr_classes[2][5] = int_stack + 6280;
 Libr12->rvrr_classes[2][6] = int_stack + 6406;
 Libr12->rvrr_classes[3][3] = int_stack + 6574;
 Libr12->rvrr_classes[3][4] = int_stack + 6674;
 Libr12->rvrr_classes[3][5] = int_stack + 6824;
 Libr12->rvrr_classes[3][6] = int_stack + 7034;
 Libr12->rvrr_classes[4][3] = int_stack + 7314;
 Libr12->rvrr_classes[4][4] = int_stack + 7464;
 Libr12->rvrr_classes[4][5] = int_stack + 7689;
 Libr12->rvrr_classes[4][6] = int_stack + 8004;
 Libr12->gvrr_classes[2][3] = int_stack + 8424;
 Libr12->gvrr_classes[2][4] = int_stack + 8484;
 Libr12->gvrr_classes[2][5] = int_stack + 8574;
 Libr12->gvrr_classes[2][6] = int_stack + 8700;
 Libr12->gvrr_classes[3][3] = int_stack + 8868;
 Libr12->gvrr_classes[3][4] = int_stack + 8968;
 Libr12->gvrr_classes[3][5] = int_stack + 9118;
 Libr12->gvrr_classes[3][6] = int_stack + 9328;
 Libr12->gvrr_classes[4][3] = int_stack + 9608;
 Libr12->gvrr_classes[4][4] = int_stack + 9758;
 Libr12->gvrr_classes[4][5] = int_stack + 9983;
 Libr12->gvrr_classes[4][6] = int_stack + 10298;
 memset(int_stack,0,10718*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 10718;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ddff(Libr12, Data);
   Data++;
 }

 /*--- compute (d0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+10718, int_stack+8484, int_stack+8424, 6);
 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+10898, int_stack+8574, int_stack+8484, 6);
 /*--- compute (d0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+11168, int_stack+10898, int_stack+10718, 6);
 /*--- compute (f0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+11528, int_stack+8968, int_stack+8868, 10);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+11828, int_stack+9118, int_stack+8968, 10);
 /*--- compute (f0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+12278, int_stack+11828, int_stack+11528, 10);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+12878, int_stack+8700, int_stack+8574, 6);
 /*--- compute (d0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+13256, int_stack+12878, int_stack+10898, 6);
 /*--- compute (d0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+13796, int_stack+60, int_stack+0, int_stack+8484, int_stack+8868, int_stack+8424, 2, 0);
 /*--- compute (d0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+13976, int_stack+150, int_stack+60, int_stack+8574, int_stack+8968, int_stack+8484, 2, 0);
 /*--- compute (d0|[r12,T2]|fd) ---*/
   t2hrr3_build_fd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+14246, int_stack+13976, int_stack+13796, int_stack+10898, int_stack+11528, int_stack+10718, 2, 0);
 /*--- compute (d0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+14606, int_stack+276, int_stack+150, int_stack+8700, int_stack+9118, int_stack+8574, 2, 0);
 /*--- compute (d0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+14984, int_stack+14606, int_stack+13976, int_stack+12878, int_stack+11828, int_stack+10898, 2, 0);
 /*--- compute (d0|[r12,T2]|ff) ---*/
   t2hrr3_build_ff(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+15524, int_stack+14984, int_stack+14246, int_stack+13256, int_stack+12278, int_stack+11168, 2, 0);
 /*--- compute (g0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+10718, int_stack+9758, int_stack+9608, 15);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+13796, int_stack+9983, int_stack+9758, 15);
 /*--- compute (g0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+14471, int_stack+13796, int_stack+10718, 15);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+16124, int_stack+9328, int_stack+9118, 10);
 /*--- compute (f0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+16754, int_stack+16124, int_stack+11828, 10);
 /*--- compute (f0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+544, int_stack+444, int_stack+8968, int_stack+9608, int_stack+8868, 3, 0);
 /*--- compute (f0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+17654, int_stack+694, int_stack+544, int_stack+9118, int_stack+9758, int_stack+8968, 3, 0);
 /*--- compute (f0|[r12,T2]|fd) ---*/
   t2hrr3_build_fd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+18104, int_stack+17654, int_stack+0, int_stack+11828, int_stack+10718, int_stack+11528, 3, 0);
 /*--- compute (f0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+904, int_stack+694, int_stack+9328, int_stack+9983, int_stack+9118, 3, 0);
 /*--- compute (f0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+18704, int_stack+0, int_stack+17654, int_stack+16124, int_stack+13796, int_stack+11828, 3, 0);
 /*--- compute (f0|[r12,T2]|ff) ---*/
   t2hrr3_build_ff(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+18704, int_stack+18104, int_stack+16754, int_stack+14471, int_stack+12278, 3, 0);
 /*--- compute (dp|[r12,T2]|ff) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+17654, int_stack+0, int_stack+15524, 100);
 /*--- compute (h0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+11528, int_stack+1544, int_stack+1184, 21);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+19454, int_stack+2084, int_stack+1544, 21);
 /*--- compute (h0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+20399, int_stack+19454, int_stack+11528, 21);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+21659, int_stack+10298, int_stack+9983, 15);
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+22604, int_stack+21659, int_stack+13796, 15);
 /*--- compute (g0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+8868, int_stack+1859, int_stack+1394, int_stack+9758, int_stack+1184, int_stack+9608, 4, 0);
 /*--- compute (g0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+15371, int_stack+2525, int_stack+1859, int_stack+9983, int_stack+1544, int_stack+9758, 4, 0);
 /*--- compute (g0|[r12,T2]|fd) ---*/
   t2hrr3_build_fd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1000, int_stack+15371, int_stack+8868, int_stack+13796, int_stack+11528, int_stack+10718, 4, 0);
 /*--- compute (g0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+23954, int_stack+2840, int_stack+2525, int_stack+10298, int_stack+2084, int_stack+9983, 4, 0);
 /*--- compute (g0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+9608, int_stack+23954, int_stack+15371, int_stack+21659, int_stack+19454, int_stack+13796, 4, 0);
 /*--- compute (g0|[r12,T2]|ff) ---*/
   t2hrr3_build_ff(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+23954, int_stack+9608, int_stack+1000, int_stack+22604, int_stack+20399, int_stack+14471, 4, 0);
 /*--- compute (fp|[r12,T2]|ff) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+19454, int_stack+23954, int_stack+0, 100);
 /*--- compute (d0|ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+0, int_stack+13256, int_stack+11168, 6);
 /*--- compute (f0|ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+600, int_stack+16754, int_stack+12278, 10);
 /*--- compute (dp|ff) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+23954, int_stack+600, int_stack+0, 100);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1600, int_stack+3260, int_stack+8700, 6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+2104, int_stack+1600, int_stack+12878, 6);
 /*--- compute (d0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+9608, int_stack+2104, int_stack+13256, 6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1600, int_stack+3920, int_stack+9328, 10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+10508, int_stack+1600, int_stack+16124, 10);
 /*--- compute (f0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+1600, int_stack+10508, int_stack+16754, 10);
 /*--- compute (dp|gf) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+10508, int_stack+1600, int_stack+9608, 150);
 /*--- compute (g0|ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+15371, int_stack+22604, int_stack+14471, 15);
 /*--- compute (fp|ff) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+25754, int_stack+15371, int_stack+600, 100);
 /*--- compute (d0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+13208, int_stack+3536, int_stack+3476, 6);
 /*--- compute (d0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+13388, int_stack+3626, int_stack+3536, 6);
 /*--- compute (d0|[r12,T1]|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+3920, int_stack+13388, int_stack+13208, 6);
 /*--- compute (d0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+13658, int_stack+3752, int_stack+3626, 6);
 /*--- compute (d0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+14036, int_stack+13658, int_stack+13388, 6);
 /*--- compute (d0|[r12,T1]|ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+13208, int_stack+14036, int_stack+3920, 6);
 /*--- compute (f0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+13808, int_stack+4380, int_stack+4280, 10);
 /*--- compute (f0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+14108, int_stack+4530, int_stack+4380, 10);
 /*--- compute (f0|[r12,T1]|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+14558, int_stack+14108, int_stack+13808, 10);
 /*--- compute (f0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+3100, int_stack+4740, int_stack+4530, 10);
 /*--- compute (f0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+3730, int_stack+3100, int_stack+14108, 10);
 /*--- compute (f0|[r12,T1]|ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+22454, int_stack+3730, int_stack+14558, 10);
 /*--- compute (dp|[r12,T1]|ff) ---*/
   t1hrr1_build_dp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+3100, int_stack+22454, int_stack+13208, int_stack+600, int_stack+9608, int_stack+0, 3, 3);
 /*--- compute (g0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+5170, int_stack+5020, 15);
 /*--- compute (g0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+13208, int_stack+5395, int_stack+5170, 15);
 /*--- compute (g0|[r12,T1]|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+13883, int_stack+13208, int_stack+0, 15);
 /*--- compute (g0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+8424, int_stack+5710, int_stack+5395, 15);
 /*--- compute (g0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+28754, int_stack+8424, int_stack+13208, 15);
 /*--- compute (g0|[r12,T1]|ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+8424, int_stack+28754, int_stack+13883, 15);
 /*--- compute (fp|[r12,T1]|ff) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+28754, int_stack+8424, int_stack+22454, int_stack+15371, int_stack+1600, int_stack+600, 3, 3);
 /*--- compute (d0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+22454, int_stack+6190, int_stack+6130, 6);
 /*--- compute (d0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+22634, int_stack+6280, int_stack+6190, 6);
 /*--- compute (d0||fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+22904, int_stack+22634, int_stack+22454, 6);
 /*--- compute (d0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+23264, int_stack+6406, int_stack+6280, 6);
 /*--- compute (d0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+8424, int_stack+23264, int_stack+22634, 6);
 /*--- compute (d0||ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+23264, int_stack+8424, int_stack+22904, 6);
 /*--- compute (f0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+8424, int_stack+6674, int_stack+6574, 10);
 /*--- compute (f0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+8724, int_stack+6824, int_stack+6674, 10);
 /*--- compute (f0||fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+9174, int_stack+8724, int_stack+8424, 10);
 /*--- compute (f0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+9774, int_stack+7034, int_stack+6824, 10);
 /*--- compute (f0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+13208, int_stack+9774, int_stack+8724, 10);
 /*--- compute (f0||ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+14108, int_stack+13208, int_stack+9174, 10);
 /*--- compute (dp||ff) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+8424, int_stack+14108, int_stack+23264, 100);
 /*--- compute (g0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+13208, int_stack+7464, int_stack+7314, 15);
 /*--- compute (g0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+22454, int_stack+7689, int_stack+7464, 15);
 /*--- compute (g0||fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+15108, int_stack+22454, int_stack+13208, 15);
 /*--- compute (g0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+16008, int_stack+8004, int_stack+7689, 15);
 /*--- compute (g0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+16008, int_stack+22454, 15);
 /*--- compute (g0||ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+22454, int_stack+0, int_stack+15108, 15);
 /*--- compute (fp||ff) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+22454, int_stack+14108, 100);
 /*--- compute (dd|[r12,T2]|ff) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+13208, int_stack+19454, int_stack+17654, 100);
     Libr12->te_ptr[3] = int_stack + 13208;
 /*--- compute (dd|[r12,T1]|ff) ---*/
   t1hrr1_build_dd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+16808, int_stack+28754, int_stack+3100, int_stack+25754, int_stack+10508, int_stack+23954, 3, 3);
     Libr12->te_ptr[2] = int_stack + 16808;
 /*--- compute (dd||ff) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+3000, int_stack+0, int_stack+8424, 100);
     Libr12->te_ptr[1] = int_stack + 3000;
 /*--- compute (dd|ff) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+6600, int_stack+25754, int_stack+23954, 100);
     Libr12->te_ptr[0] = int_stack + 6600;

}
