#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_dpfd(Libr12_t *, prim_data *);

  /* Computes (dp|fd) integrals for linear R12-methods */

void hrr_grt_order_dpfd(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[2][3] = int_stack + 0;
 Libr12->t2vrr_classes[2][4] = int_stack + 60;
 Libr12->t2vrr_classes[2][5] = int_stack + 150;
 Libr12->gvrr_classes[4][3] = int_stack + 276;
 Libr12->t2vrr_classes[3][3] = int_stack + 426;
 Libr12->gvrr_classes[4][4] = int_stack + 526;
 Libr12->t2vrr_classes[3][4] = int_stack + 751;
 Libr12->t2vrr_classes[3][5] = int_stack + 901;
 Libr12->gvrr_classes[2][6] = int_stack + 1111;
 Libr12->t1vrr_classes[2][3] = int_stack + 1279;
 Libr12->t1vrr_classes[2][4] = int_stack + 1339;
 Libr12->t1vrr_classes[2][5] = int_stack + 1429;
 Libr12->t1vrr_classes[3][3] = int_stack + 1555;
 Libr12->t1vrr_classes[3][4] = int_stack + 1655;
 Libr12->t1vrr_classes[3][5] = int_stack + 1805;
 Libr12->rvrr_classes[2][3] = int_stack + 2015;
 Libr12->rvrr_classes[2][4] = int_stack + 2075;
 Libr12->rvrr_classes[2][5] = int_stack + 2165;
 Libr12->rvrr_classes[3][3] = int_stack + 2291;
 Libr12->rvrr_classes[3][4] = int_stack + 2391;
 Libr12->rvrr_classes[3][5] = int_stack + 2541;
 Libr12->gvrr_classes[2][3] = int_stack + 2751;
 Libr12->gvrr_classes[2][4] = int_stack + 2811;
 Libr12->gvrr_classes[2][5] = int_stack + 2901;
 Libr12->gvrr_classes[3][3] = int_stack + 3027;
 Libr12->gvrr_classes[3][4] = int_stack + 3127;
 Libr12->gvrr_classes[3][5] = int_stack + 3277;
 memset(int_stack,0,3487*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 3487;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_dpfd(Libr12, Data);
   Data++;
 }

 /*--- compute (d0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+3487, int_stack+2811, int_stack+2751, 6);
 /*--- compute (f0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+3667, int_stack+3127, int_stack+3027, 10);
 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+3967, int_stack+2901, int_stack+2811, 6);
 /*--- compute (d0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4237, int_stack+60, int_stack+0, int_stack+2811, int_stack+3027, int_stack+2751, 2, 0);
 /*--- compute (d0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4417, int_stack+150, int_stack+60, int_stack+2901, int_stack+3127, int_stack+2811, 2, 0);
 /*--- compute (d0|[r12,T2]|fd) ---*/
   t2hrr3_build_fd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4687, int_stack+4417, int_stack+4237, int_stack+3967, int_stack+3667, int_stack+3487, 2, 0);
 /*--- compute (g0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+4237, int_stack+526, int_stack+276, 15);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+5047, int_stack+3277, int_stack+3127, 10);
 /*--- compute (f0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5497, int_stack+751, int_stack+426, int_stack+3127, int_stack+276, int_stack+3027, 3, 0);
 /*--- compute (f0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+901, int_stack+751, int_stack+3277, int_stack+526, int_stack+3127, 3, 0);
 /*--- compute (f0|[r12,T2]|fd) ---*/
   t2hrr3_build_fd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+450, int_stack+0, int_stack+5497, int_stack+5047, int_stack+4237, int_stack+3667, 3, 0);
 /*--- compute (d0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+4237, int_stack+3967, int_stack+3487, 6);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+5497, int_stack+1111, int_stack+2901, 6);
 /*--- compute (d0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+2751, int_stack+5497, int_stack+3967, 6);
 /*--- compute (f0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+5497, int_stack+5047, int_stack+3667, 10);
 /*--- compute (d0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+5047, int_stack+1339, int_stack+1279, 6);
 /*--- compute (d0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+5227, int_stack+1429, int_stack+1339, 6);
 /*--- compute (d0|[r12,T1]|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+6097, int_stack+5227, int_stack+5047, 6);
 /*--- compute (f0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+5047, int_stack+1655, int_stack+1555, 10);
 /*--- compute (f0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+1805, int_stack+1655, 10);
 /*--- compute (f0|[r12,T1]|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+3291, int_stack+0, int_stack+5047, 10);
 /*--- compute (d0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+5047, int_stack+2075, int_stack+2015, 6);
 /*--- compute (d0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+5227, int_stack+2165, int_stack+2075, 6);
 /*--- compute (d0||fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+5227, int_stack+5047, 6);
 /*--- compute (f0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+5047, int_stack+2391, int_stack+2291, 10);
 /*--- compute (f0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+6457, int_stack+2541, int_stack+2391, 10);
 /*--- compute (f0||fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+1050, int_stack+6457, int_stack+5047, 10);
 /*--- compute (dp|[r12,T2]|fd) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+1650, int_stack+450, int_stack+4687, 60);
     Libr12->te_ptr[3] = int_stack + 1650;
 /*--- compute (dp|[r12,T1]|fd) ---*/
   t1hrr1_build_dp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+6457, int_stack+3291, int_stack+6097, int_stack+5497, int_stack+2751, int_stack+4237, 3, 2);
     Libr12->te_ptr[2] = int_stack + 6457;
 /*--- compute (dp||fd) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+2730, int_stack+1050, int_stack+0, 60);
     Libr12->te_ptr[1] = int_stack + 2730;
 /*--- compute (dp|fd) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+5497, int_stack+4237, 60);
     Libr12->te_ptr[0] = int_stack + 0;

}
