#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_p0fd(Libr12_t *, prim_data *);

  /* Computes (p0|fd) integrals for linear R12-methods */

void hrr_grt_order_p0fd(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[2][3] = int_stack + 0;
 Libr12->t2vrr_classes[1][3] = int_stack + 60;
 Libr12->gvrr_classes[2][4] = int_stack + 90;
 Libr12->t2vrr_classes[1][4] = int_stack + 180;
 Libr12->t2vrr_classes[1][5] = int_stack + 225;
 Libr12->t1vrr_classes[1][3] = int_stack + 288;
 Libr12->t1vrr_classes[1][4] = int_stack + 318;
 Libr12->t1vrr_classes[1][5] = int_stack + 363;
 Libr12->rvrr_classes[1][3] = int_stack + 426;
 Libr12->rvrr_classes[1][4] = int_stack + 456;
 Libr12->rvrr_classes[1][5] = int_stack + 501;
 Libr12->gvrr_classes[1][3] = int_stack + 564;
 Libr12->gvrr_classes[1][4] = int_stack + 594;
 Libr12->gvrr_classes[1][5] = int_stack + 639;
 memset(int_stack,0,702*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 702;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_p0fd(Libr12, Data);
   Data++;
 }

 /*--- compute (p0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+702, int_stack+594, int_stack+564, 3);
 /*--- compute (d0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+792, int_stack+90, int_stack+0, 6);
 /*--- compute (p0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+972, int_stack+639, int_stack+594, 3);
 /*--- compute (p0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1107, int_stack+180, int_stack+60, int_stack+594, int_stack+0, int_stack+564, 1, 0);
 /*--- compute (p0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1197, int_stack+225, int_stack+180, int_stack+639, int_stack+90, int_stack+594, 1, 0);
 /*--- compute (p0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+564, int_stack+318, int_stack+288, 3);
 /*--- compute (p0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+363, int_stack+318, 3);
 /*--- compute (p0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+135, int_stack+456, int_stack+426, 3);
 /*--- compute (p0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+225, int_stack+501, int_stack+456, 3);
 /*--- compute (p0|[r12,T2]|fd) ---*/
   t2hrr3_build_fd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+360, int_stack+1197, int_stack+1107, int_stack+972, int_stack+792, int_stack+702, 1, 0);
     Libr12->te_ptr[3] = int_stack + 360;
 /*--- compute (p0|[r12,T1]|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+792, int_stack+0, int_stack+564, 3);
     Libr12->te_ptr[2] = int_stack + 792;
 /*--- compute (p0||fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+1107, int_stack+225, int_stack+135, 3);
     Libr12->te_ptr[1] = int_stack + 1107;
 /*--- compute (p0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+972, int_stack+702, 3);
     Libr12->te_ptr[0] = int_stack + 0;

}
