#include <stdlib.h>
#include <libint/libint.h>
#include "libr12.h"
#include "r12_hrr_header.h"

extern "C" {
void (*build_r12_gr[4][4][4][4])(Libr12_t *, int);
void (*build_r12_grt[4][4][4][4])(Libr12_t *, int);
int libr12_stack_size[4];
/* This function initializes a matrix of pointers to routines */
/* for computing integral classes up to (ff|ff) */

void init_libr12_base()
{
  build_r12_grt[0][0][0][0] = hrr_grt_order_0000;
  build_r12_grt[0][0][1][0] = hrr_grt_order_00p0;
  build_r12_grt[0][0][2][0] = hrr_grt_order_00d0;
  build_r12_grt[0][0][1][1] = hrr_grt_order_00pp;
  build_r12_grt[0][0][3][0] = hrr_grt_order_00f0;
  build_r12_grt[0][0][2][1] = hrr_grt_order_00dp;
  build_r12_grt[0][0][3][1] = hrr_grt_order_00fp;
  build_r12_grt[0][0][2][2] = hrr_grt_order_00dd;
  build_r12_grt[0][0][3][2] = hrr_grt_order_00fd;
  build_r12_grt[0][0][3][3] = hrr_grt_order_00ff;
  build_r12_grt[1][0][1][0] = hrr_grt_order_p0p0;
  build_r12_grt[1][0][2][0] = hrr_grt_order_p0d0;
  build_r12_grt[1][0][1][1] = hrr_grt_order_p0pp;
  build_r12_grt[1][0][3][0] = hrr_grt_order_p0f0;
  build_r12_grt[1][0][2][1] = hrr_grt_order_p0dp;
  build_r12_grt[1][0][3][1] = hrr_grt_order_p0fp;
  build_r12_grt[1][0][2][2] = hrr_grt_order_p0dd;
  build_r12_grt[1][0][3][2] = hrr_grt_order_p0fd;
  build_r12_grt[1][0][3][3] = hrr_grt_order_p0ff;
  build_r12_grt[2][0][2][0] = hrr_grt_order_d0d0;
  build_r12_grt[2][0][1][1] = hrr_grt_order_d0pp;
  build_r12_grt[2][0][3][0] = hrr_grt_order_d0f0;
  build_r12_grt[2][0][2][1] = hrr_grt_order_d0dp;
  build_r12_grt[2][0][3][1] = hrr_grt_order_d0fp;
  build_r12_grt[2][0][2][2] = hrr_grt_order_d0dd;
  build_r12_grt[2][0][3][2] = hrr_grt_order_d0fd;
  build_r12_grt[2][0][3][3] = hrr_grt_order_d0ff;
  build_r12_grt[1][1][2][0] = hrr_grt_order_ppd0;
  build_r12_grt[1][1][1][1] = hrr_grt_order_pppp;
  build_r12_grt[1][1][3][0] = hrr_grt_order_ppf0;
  build_r12_grt[1][1][2][1] = hrr_grt_order_ppdp;
  build_r12_grt[1][1][3][1] = hrr_grt_order_ppfp;
  build_r12_grt[1][1][2][2] = hrr_grt_order_ppdd;
  build_r12_grt[1][1][3][2] = hrr_grt_order_ppfd;
  build_r12_grt[1][1][3][3] = hrr_grt_order_ppff;
  build_r12_grt[3][0][3][0] = hrr_grt_order_f0f0;
  build_r12_grt[3][0][2][1] = hrr_grt_order_f0dp;
  build_r12_grt[3][0][3][1] = hrr_grt_order_f0fp;
  build_r12_grt[3][0][2][2] = hrr_grt_order_f0dd;
  build_r12_grt[3][0][3][2] = hrr_grt_order_f0fd;
  build_r12_grt[3][0][3][3] = hrr_grt_order_f0ff;
  build_r12_grt[2][1][3][0] = hrr_grt_order_dpf0;
  build_r12_grt[2][1][2][1] = hrr_grt_order_dpdp;
  build_r12_grt[2][1][3][1] = hrr_grt_order_dpfp;
  build_r12_grt[2][1][2][2] = hrr_grt_order_dpdd;
  build_r12_grt[2][1][3][2] = hrr_grt_order_dpfd;
  build_r12_grt[2][1][3][3] = hrr_grt_order_dpff;
  build_r12_grt[3][1][3][1] = hrr_grt_order_fpfp;
  build_r12_grt[3][1][2][2] = hrr_grt_order_fpdd;
  build_r12_grt[3][1][3][2] = hrr_grt_order_fpfd;
  build_r12_grt[3][1][3][3] = hrr_grt_order_fpff;
  build_r12_grt[2][2][3][1] = hrr_grt_order_ddfp;
  build_r12_grt[2][2][2][2] = hrr_grt_order_dddd;
  build_r12_grt[2][2][3][2] = hrr_grt_order_ddfd;
  build_r12_grt[2][2][3][3] = hrr_grt_order_ddff;
  build_r12_grt[3][2][3][2] = hrr_grt_order_fdfd;
  build_r12_grt[3][2][3][3] = hrr_grt_order_fdff;
  build_r12_grt[3][3][3][3] = hrr_grt_order_ffff;

  libr12_stack_size[0] = 10;
  libr12_stack_size[1] = 888;
  libr12_stack_size[2] = 13330;
  libr12_stack_size[3] = 107564;
}

/* These functions initialize library objects */
/* Library objects operate independently of each other */
int init_libr12(Libr12_t *libr12, int max_am, int max_num_prim_quartets)
{
  int memory = 0;

  if (max_am >= LIBR12_MAX_AM) return -1;
  libr12->int_stack = (REALTYPE *) malloc(libr12_stack_size[max_am]*sizeof(REALTYPE));
  memory += libr12_stack_size[max_am];
  libr12->PrimQuartet = (prim_data *) malloc(max_num_prim_quartets*sizeof(prim_data));
  memory += max_num_prim_quartets*sizeof(prim_data)/sizeof(REALTYPE);
  return memory;
}

void free_libr12(Libr12_t *libr12)
{
  if (libr12->int_stack != NULL) {
    free(libr12->int_stack);
    libr12->int_stack = NULL;
  }
  if (libr12->PrimQuartet != NULL) {
    free(libr12->PrimQuartet);
    libr12->PrimQuartet = NULL;
  }

  return;
}

int libr12_storage_required(int max_am, int max_num_prim_quartets)
{
  int memory = 0;

  if (max_am >= LIBR12_MAX_AM) return -1;
  memory += libr12_stack_size[max_am];
  memory += max_num_prim_quartets*sizeof(prim_data)/sizeof(REALTYPE);
  return memory;
}
}
