#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_00fp(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+12, Data->F+1, Data->F+2, NULL);

 /*--- compute (p0|d0)^0 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+15, NULL, NULL, r12vrr_stack+0);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+39, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+42, r12vrr_stack+12, r12vrr_stack+39, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+48, r12vrr_stack+15, r12vrr_stack+42, r12vrr_stack+0, r12vrr_stack+12, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+58, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, NULL);
 tmp = r12vrr_stack + 58;
 target_ptr = Libr12->gvrr_classes[0][3];
 for(i=0;i<10;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+68, r12vrr_stack+58, r12vrr_stack+48, NULL, NULL, r12vrr_stack+15);
 tmp = r12vrr_stack + 68;
 target_ptr = Libr12->gvrr_classes[1][3];
 for(i=0;i<30;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|g0)^0 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+98, r12vrr_stack+58, r12vrr_stack+48, r12vrr_stack+6, r12vrr_stack+15, NULL);
 tmp = r12vrr_stack + 98;
 target_ptr = Libr12->gvrr_classes[0][4];
 for(i=0;i<15;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+113, r12vrr_stack+39, r12vrr_stack+0, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+119, r12vrr_stack+42, r12vrr_stack+113, r12vrr_stack+12, r12vrr_stack+39, NULL);

 /*--- compute (00|g0)^1 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+129, r12vrr_stack+48, r12vrr_stack+119, r12vrr_stack+15, r12vrr_stack+42, NULL);

 /*--- compute (p0|g0)^0 ---*/
 am[0] = 1;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+144, r12vrr_stack+98, r12vrr_stack+129, NULL, NULL, r12vrr_stack+48);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+189, r12vrr_stack+98, r12vrr_stack+129, r12vrr_stack+58, r12vrr_stack+48, NULL);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+0, &(Data->ss_r12_ss), NULL, r12vrr_stack+3, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+39, r12vrr_stack+0, &(Data->ss_r12_ss), r12vrr_stack+6, r12vrr_stack+3, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+45, r12vrr_stack+39, r12vrr_stack+0, r12vrr_stack+58, r12vrr_stack+6, r12vrr_stack+3, NULL);
 tmp = r12vrr_stack + 45;
 target_ptr = Libr12->rvrr_classes[0][3];
 for(i=0;i<10;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_00f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+113, r12vrr_stack+58, r12vrr_stack+98, r12vrr_stack+68, r12vrr_stack+21, r12vrr_stack+6);
 tmp = r12vrr_stack + 113;
 target_ptr = Libr12->t2vrr_classes[0][3];
 for(i=0;i<10;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_00g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+12, r12vrr_stack+98, r12vrr_stack+189, r12vrr_stack+144, r12vrr_stack+68, r12vrr_stack+58);
 tmp = r12vrr_stack + 12;
 target_ptr = Libr12->t2vrr_classes[0][4];
 for(i=0;i<15;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_00f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+27, r12vrr_stack+58, r12vrr_stack+68, r12vrr_stack+98, NULL, NULL);
 tmp = r12vrr_stack + 27;
 target_ptr = Libr12->t1vrr_classes[0][3];
 for(i=0;i<10;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_00g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+68, r12vrr_stack+98, r12vrr_stack+144, r12vrr_stack+189, NULL, NULL);
 tmp = r12vrr_stack + 68;
 target_ptr = Libr12->t1vrr_classes[0][4];
 for(i=0;i<15;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+83, r12vrr_stack+45, r12vrr_stack+39, r12vrr_stack+98, r12vrr_stack+58, r12vrr_stack+6, NULL);
 tmp = r12vrr_stack + 83;
 target_ptr = Libr12->rvrr_classes[0][4];
 for(i=0;i<15;i++)
   target_ptr[i] += tmp[i];


}

