#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_d0dp(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^1 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+9, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (p0|p0)^1 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+12, r12vrr_stack+3, r12vrr_stack+9, NULL, NULL, Data->F+2);

 /*--- compute (p0|p0)^0 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+3, NULL, NULL, Data->F+1);

 /*--- compute (d0|p0)^0 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+30, r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0);

 /*--- compute (p0|00)^2 ---*/
 _BUILD_p000(Data,r12vrr_stack+48, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (d0|00)^1 ---*/
 _BUILD_d000(Data,r12vrr_stack+51, r12vrr_stack+0, r12vrr_stack+48, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+57, r12vrr_stack+9, r12vrr_stack+0, NULL, NULL, Data->F+3);

 /*--- compute (d0|p0)^1 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+66, r12vrr_stack+12, r12vrr_stack+57, r12vrr_stack+3, r12vrr_stack+9, r12vrr_stack+48);

 /*--- compute (f0|p0)^0 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+84, r12vrr_stack+30, r12vrr_stack+66, r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+51);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+48, r12vrr_stack+9, r12vrr_stack+0, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+114, r12vrr_stack+3, r12vrr_stack+9, Data->F+1, Data->F+2, NULL);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+120, r12vrr_stack+114, r12vrr_stack+48, NULL, NULL, r12vrr_stack+9);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+138, r12vrr_stack+6, r12vrr_stack+3, Data->F+0, Data->F+1, NULL);

 /*--- compute (p0|d0)^0 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+144, r12vrr_stack+138, r12vrr_stack+114, NULL, NULL, r12vrr_stack+3);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+54, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+162, r12vrr_stack+0, r12vrr_stack+54, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+168, r12vrr_stack+48, r12vrr_stack+162, NULL, NULL, r12vrr_stack+0);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+186, r12vrr_stack+120, r12vrr_stack+168, r12vrr_stack+114, r12vrr_stack+48, r12vrr_stack+57);

 /*--- compute (d0|d0)^0 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+222, r12vrr_stack+144, r12vrr_stack+120, r12vrr_stack+138, r12vrr_stack+114, r12vrr_stack+12);
 tmp = r12vrr_stack + 222;
 target_ptr = Libr12->gvrr_classes[2][2];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|d0)^0 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+258, r12vrr_stack+222, r12vrr_stack+186, r12vrr_stack+144, r12vrr_stack+120, r12vrr_stack+66);
 tmp = r12vrr_stack + 258;
 target_ptr = Libr12->gvrr_classes[3][2];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+57, r12vrr_stack+114, r12vrr_stack+48, r12vrr_stack+3, r12vrr_stack+9, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+67, r12vrr_stack+138, r12vrr_stack+114, r12vrr_stack+6, r12vrr_stack+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+318, r12vrr_stack+48, r12vrr_stack+162, r12vrr_stack+9, r12vrr_stack+0, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+328, r12vrr_stack+57, r12vrr_stack+318, NULL, NULL, r12vrr_stack+48);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+358, r12vrr_stack+67, r12vrr_stack+57, NULL, NULL, r12vrr_stack+114);

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+388, r12vrr_stack+358, r12vrr_stack+328, r12vrr_stack+67, r12vrr_stack+57, r12vrr_stack+120);
 tmp = r12vrr_stack + 388;
 target_ptr = Libr12->gvrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+120, r12vrr_stack+54, r12vrr_stack+3, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+126, r12vrr_stack+162, r12vrr_stack+120, r12vrr_stack+0, r12vrr_stack+54, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+448, r12vrr_stack+318, r12vrr_stack+126, NULL, NULL, r12vrr_stack+162);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+478, r12vrr_stack+328, r12vrr_stack+448, r12vrr_stack+57, r12vrr_stack+318, r12vrr_stack+168);

 /*--- compute (f0|f0)^0 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+538, r12vrr_stack+388, r12vrr_stack+478, r12vrr_stack+358, r12vrr_stack+328, r12vrr_stack+186);

 /*--- compute (00|g0)^1 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+168, r12vrr_stack+57, r12vrr_stack+318, r12vrr_stack+114, r12vrr_stack+48, NULL);

 /*--- compute (00|g0)^0 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+183, r12vrr_stack+67, r12vrr_stack+57, r12vrr_stack+138, r12vrr_stack+114, NULL);

 /*--- compute (00|g0)^2 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+198, r12vrr_stack+318, r12vrr_stack+126, r12vrr_stack+48, r12vrr_stack+162, NULL);

 /*--- compute (p0|g0)^1 ---*/
 am[0] = 1;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+448, r12vrr_stack+168, r12vrr_stack+198, NULL, NULL, r12vrr_stack+318);

 /*--- compute (p0|g0)^0 ---*/
 am[0] = 1;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+493, r12vrr_stack+183, r12vrr_stack+168, NULL, NULL, r12vrr_stack+57);

 /*--- compute (d0|g0)^0 ---*/
 am[0] = 2;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+638, r12vrr_stack+493, r12vrr_stack+448, r12vrr_stack+183, r12vrr_stack+168, r12vrr_stack+328);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+448, &(Data->ss_r12_ss), NULL, r12vrr_stack+6, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+0, r12vrr_stack+448, &(Data->ss_r12_ss), r12vrr_stack+138, r12vrr_stack+6, Data->F+0, NULL);

 /*--- compute (p0||d0)^0 ---*/
 _R_BUILD_p0d0(Data,r12vrr_stack+451, r12vrr_stack+0, NULL, r12vrr_stack+144, r12vrr_stack+138, NULL, r12vrr_stack+6);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+469, r12vrr_stack+0, r12vrr_stack+448, r12vrr_stack+67, r12vrr_stack+138, r12vrr_stack+6, NULL);

 /*--- compute (p0||f0)^0 ---*/
 _R_BUILD_p0f0(Data,r12vrr_stack+318, r12vrr_stack+469, NULL, r12vrr_stack+358, r12vrr_stack+67, NULL, r12vrr_stack+138);

 /*--- compute (d0|[r12,T2]|d0)^0 ---*/
 _T2_BUILD_d0d0(Data,&(Libr12->ShellQuartet),r12vrr_stack+162, r12vrr_stack+222, r12vrr_stack+388, r12vrr_stack+258, r12vrr_stack+84, r12vrr_stack+30);
 tmp = r12vrr_stack + 162;
 target_ptr = Libr12->t2vrr_classes[2][2];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_d0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+77, r12vrr_stack+388, r12vrr_stack+638, r12vrr_stack+538, r12vrr_stack+258, r12vrr_stack+222);
 tmp = r12vrr_stack + 77;
 target_ptr = Libr12->t2vrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|d0)^0 ---*/
 _T1_BUILD_d0d0(Data,&(Libr12->ShellQuartet),r12vrr_stack+30, r12vrr_stack+222, r12vrr_stack+258, r12vrr_stack+388, r12vrr_stack+358, r12vrr_stack+144);
 tmp = r12vrr_stack + 30;
 target_ptr = Libr12->t1vrr_classes[2][2];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_d0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+258, r12vrr_stack+388, r12vrr_stack+538, r12vrr_stack+638, r12vrr_stack+493, r12vrr_stack+358);
 tmp = r12vrr_stack + 258;
 target_ptr = Libr12->t1vrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||d0)^0 ---*/
 _R_BUILD_d0d0(Data,r12vrr_stack+479, r12vrr_stack+451, r12vrr_stack+0, r12vrr_stack+222, r12vrr_stack+144, r12vrr_stack+138, r12vrr_stack+21);
 tmp = r12vrr_stack + 479;
 target_ptr = Libr12->rvrr_classes[2][2];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||f0)^0 ---*/
 _R_BUILD_d0f0(Data,r12vrr_stack+198, r12vrr_stack+318, r12vrr_stack+469, r12vrr_stack+388, r12vrr_stack+358, r12vrr_stack+67, r12vrr_stack+144);
 tmp = r12vrr_stack + 198;
 target_ptr = Libr12->rvrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];


}

