#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_dpdd(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^1 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+9, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (p0|p0)^1 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+12, r12vrr_stack+3, r12vrr_stack+9, NULL, NULL, Data->F+2);

 /*--- compute (p0|p0)^0 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+3, NULL, NULL, Data->F+1);

 /*--- compute (d0|p0)^0 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+30, r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0);

 /*--- compute (p0|00)^2 ---*/
 _BUILD_p000(Data,r12vrr_stack+48, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (d0|00)^1 ---*/
 _BUILD_d000(Data,r12vrr_stack+51, r12vrr_stack+0, r12vrr_stack+48, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+57, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+60, r12vrr_stack+9, r12vrr_stack+57, NULL, NULL, Data->F+3);

 /*--- compute (d0|p0)^1 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+69, r12vrr_stack+12, r12vrr_stack+60, r12vrr_stack+3, r12vrr_stack+9, r12vrr_stack+48);

 /*--- compute (f0|p0)^0 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+87, r12vrr_stack+30, r12vrr_stack+69, r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+51);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+117, r12vrr_stack+9, r12vrr_stack+57, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+123, r12vrr_stack+3, r12vrr_stack+9, Data->F+1, Data->F+2, NULL);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+129, r12vrr_stack+123, r12vrr_stack+117, NULL, NULL, r12vrr_stack+9);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+147, r12vrr_stack+6, r12vrr_stack+3, Data->F+0, Data->F+1, NULL);

 /*--- compute (p0|d0)^0 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+153, r12vrr_stack+147, r12vrr_stack+123, NULL, NULL, r12vrr_stack+3);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+171, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+174, r12vrr_stack+57, r12vrr_stack+171, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+180, r12vrr_stack+117, r12vrr_stack+174, NULL, NULL, r12vrr_stack+57);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+198, r12vrr_stack+129, r12vrr_stack+180, r12vrr_stack+123, r12vrr_stack+117, r12vrr_stack+60);

 /*--- compute (d0|d0)^0 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+234, r12vrr_stack+153, r12vrr_stack+129, r12vrr_stack+147, r12vrr_stack+123, r12vrr_stack+12);
 tmp = r12vrr_stack + 234;
 target_ptr = Libr12->gvrr_classes[2][2];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|d0)^0 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+270, r12vrr_stack+234, r12vrr_stack+198, r12vrr_stack+153, r12vrr_stack+129, r12vrr_stack+69);
 tmp = r12vrr_stack + 270;
 target_ptr = Libr12->gvrr_classes[3][2];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+330, r12vrr_stack+123, r12vrr_stack+117, r12vrr_stack+3, r12vrr_stack+9, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+340, r12vrr_stack+147, r12vrr_stack+123, r12vrr_stack+6, r12vrr_stack+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+350, r12vrr_stack+117, r12vrr_stack+174, r12vrr_stack+9, r12vrr_stack+57, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+360, r12vrr_stack+330, r12vrr_stack+350, NULL, NULL, r12vrr_stack+117);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+390, r12vrr_stack+340, r12vrr_stack+330, NULL, NULL, r12vrr_stack+123);

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+420, r12vrr_stack+390, r12vrr_stack+360, r12vrr_stack+340, r12vrr_stack+330, r12vrr_stack+129);
 tmp = r12vrr_stack + 420;
 target_ptr = Libr12->gvrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+480, r12vrr_stack+171, r12vrr_stack+3, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+486, r12vrr_stack+174, r12vrr_stack+480, r12vrr_stack+57, r12vrr_stack+171, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+496, r12vrr_stack+350, r12vrr_stack+486, NULL, NULL, r12vrr_stack+174);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+526, r12vrr_stack+360, r12vrr_stack+496, r12vrr_stack+330, r12vrr_stack+350, r12vrr_stack+180);

 /*--- compute (f0|f0)^0 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+586, r12vrr_stack+420, r12vrr_stack+526, r12vrr_stack+390, r12vrr_stack+360, r12vrr_stack+198);
 tmp = r12vrr_stack + 586;
 target_ptr = Libr12->gvrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|g0)^1 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+686, r12vrr_stack+330, r12vrr_stack+350, r12vrr_stack+123, r12vrr_stack+117, NULL);

 /*--- compute (00|g0)^0 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+701, r12vrr_stack+340, r12vrr_stack+330, r12vrr_stack+147, r12vrr_stack+123, NULL);

 /*--- compute (00|g0)^2 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+716, r12vrr_stack+350, r12vrr_stack+486, r12vrr_stack+117, r12vrr_stack+174, NULL);

 /*--- compute (p0|g0)^1 ---*/
 am[0] = 1;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+731, r12vrr_stack+686, r12vrr_stack+716, NULL, NULL, r12vrr_stack+350);

 /*--- compute (p0|g0)^0 ---*/
 am[0] = 1;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+776, r12vrr_stack+701, r12vrr_stack+686, NULL, NULL, r12vrr_stack+330);

 /*--- compute (d0|g0)^0 ---*/
 am[0] = 2;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+821, r12vrr_stack+776, r12vrr_stack+731, r12vrr_stack+701, r12vrr_stack+686, r12vrr_stack+360);
 tmp = r12vrr_stack + 821;
 target_ptr = Libr12->gvrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+123, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+911, r12vrr_stack+3, r12vrr_stack+123, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+917, r12vrr_stack+480, r12vrr_stack+911, r12vrr_stack+171, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^3 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+927, r12vrr_stack+486, r12vrr_stack+917, r12vrr_stack+174, r12vrr_stack+480, NULL);

 /*--- compute (p0|g0)^2 ---*/
 am[0] = 1;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+942, r12vrr_stack+716, r12vrr_stack+927, NULL, NULL, r12vrr_stack+486);

 /*--- compute (d0|g0)^1 ---*/
 am[0] = 2;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+987, r12vrr_stack+731, r12vrr_stack+942, r12vrr_stack+686, r12vrr_stack+716, r12vrr_stack+496);

 /*--- compute (f0|g0)^0 ---*/
 am[0] = 3;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1077, r12vrr_stack+821, r12vrr_stack+987, r12vrr_stack+776, r12vrr_stack+731, r12vrr_stack+526);
 tmp = r12vrr_stack + 1077;
 target_ptr = Libr12->gvrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1227, r12vrr_stack+686, r12vrr_stack+716, r12vrr_stack+330, r12vrr_stack+350, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1248, r12vrr_stack+701, r12vrr_stack+686, r12vrr_stack+340, r12vrr_stack+330, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1269, r12vrr_stack+716, r12vrr_stack+927, r12vrr_stack+350, r12vrr_stack+486, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1290, r12vrr_stack+1227, r12vrr_stack+1269, NULL, NULL, r12vrr_stack+716);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1353, r12vrr_stack+1248, r12vrr_stack+1227, NULL, NULL, r12vrr_stack+686);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1416, r12vrr_stack+1353, r12vrr_stack+1290, r12vrr_stack+1248, r12vrr_stack+1227, r12vrr_stack+731);
 tmp = r12vrr_stack + 1416;
 target_ptr = Libr12->gvrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^3 ---*/
 _BUILD_p000(Data,r12vrr_stack+126, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (d0|00)^2 ---*/
 _BUILD_d000(Data,r12vrr_stack+1248, r12vrr_stack+48, r12vrr_stack+126, Data->F+2, Data->F+3, NULL);

 /*--- compute (f0|00)^1 ---*/
 _BUILD_f000(Data,r12vrr_stack+330, r12vrr_stack+51, r12vrr_stack+1248, r12vrr_stack+0, r12vrr_stack+48, NULL);

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+48, r12vrr_stack+57, r12vrr_stack+171, NULL, NULL, Data->F+4);

 /*--- compute (d0|p0)^2 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+1542, r12vrr_stack+60, r12vrr_stack+48, r12vrr_stack+9, r12vrr_stack+57, r12vrr_stack+126);

 /*--- compute (f0|p0)^1 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+1560, r12vrr_stack+69, r12vrr_stack+1542, r12vrr_stack+12, r12vrr_stack+60, r12vrr_stack+1248);

 /*--- compute (g0|p0)^0 ---*/
 am[0] = 4;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+1590, r12vrr_stack+87, r12vrr_stack+1560, r12vrr_stack+30, r12vrr_stack+69, r12vrr_stack+330);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+1248, r12vrr_stack+174, r12vrr_stack+480, NULL, NULL, r12vrr_stack+171);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+1635, r12vrr_stack+180, r12vrr_stack+1248, r12vrr_stack+117, r12vrr_stack+174, r12vrr_stack+48);

 /*--- compute (f0|d0)^1 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+1671, r12vrr_stack+198, r12vrr_stack+1635, r12vrr_stack+129, r12vrr_stack+180, r12vrr_stack+1542);

 /*--- compute (g0|d0)^0 ---*/
 am[0] = 4;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+1731, r12vrr_stack+270, r12vrr_stack+1671, r12vrr_stack+234, r12vrr_stack+198, r12vrr_stack+1560);
 tmp = r12vrr_stack + 1731;
 target_ptr = Libr12->gvrr_classes[4][2];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1542, r12vrr_stack+486, r12vrr_stack+917, NULL, NULL, r12vrr_stack+480);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+171, r12vrr_stack+496, r12vrr_stack+1542, r12vrr_stack+350, r12vrr_stack+486, r12vrr_stack+1248);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1821, r12vrr_stack+526, r12vrr_stack+171, r12vrr_stack+360, r12vrr_stack+496, r12vrr_stack+1635);

 /*--- compute (g0|f0)^0 ---*/
 am[0] = 4;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+1921, r12vrr_stack+586, r12vrr_stack+1821, r12vrr_stack+420, r12vrr_stack+526, r12vrr_stack+1671);
 tmp = r12vrr_stack + 1921;
 target_ptr = Libr12->gvrr_classes[4][3];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+231, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+117, r12vrr_stack+123, r12vrr_stack+231, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+330, r12vrr_stack+911, r12vrr_stack+117, r12vrr_stack+3, r12vrr_stack+123, NULL);

 /*--- compute (00|g0)^4 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+686, r12vrr_stack+917, r12vrr_stack+330, r12vrr_stack+480, r12vrr_stack+911, NULL);

 /*--- compute (p0|g0)^3 ---*/
 am[0] = 1;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1635, r12vrr_stack+927, r12vrr_stack+686, NULL, NULL, r12vrr_stack+917);

 /*--- compute (d0|g0)^2 ---*/
 am[0] = 2;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+496, r12vrr_stack+942, r12vrr_stack+1635, r12vrr_stack+716, r12vrr_stack+927, r12vrr_stack+1542);

 /*--- compute (f0|g0)^1 ---*/
 am[0] = 3;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+2071, r12vrr_stack+987, r12vrr_stack+496, r12vrr_stack+731, r12vrr_stack+942, r12vrr_stack+171);

 /*--- compute (g0|g0)^0 ---*/
 am[0] = 4;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+2221, r12vrr_stack+1077, r12vrr_stack+2071, r12vrr_stack+821, r12vrr_stack+987, r12vrr_stack+1821);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1248, r12vrr_stack+927, r12vrr_stack+686, r12vrr_stack+486, r12vrr_stack+917, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+171, r12vrr_stack+1269, r12vrr_stack+1248, NULL, NULL, r12vrr_stack+927);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2071, r12vrr_stack+1290, r12vrr_stack+171, r12vrr_stack+1227, r12vrr_stack+1269, r12vrr_stack+942);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2446, r12vrr_stack+1416, r12vrr_stack+2071, r12vrr_stack+1353, r12vrr_stack+1290, r12vrr_stack+987);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+2071, &(Data->ss_r12_ss), NULL, r12vrr_stack+6, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+0, r12vrr_stack+2071, &(Data->ss_r12_ss), r12vrr_stack+147, r12vrr_stack+6, Data->F+0, NULL);

 /*--- compute (p0||d0)^0 ---*/
 _R_BUILD_p0d0(Data,r12vrr_stack+2074, r12vrr_stack+0, NULL, r12vrr_stack+153, r12vrr_stack+147, NULL, r12vrr_stack+6);

 /*--- compute (d0||d0)^0 ---*/
 _R_BUILD_d0d0(Data,r12vrr_stack+2092, r12vrr_stack+2074, r12vrr_stack+0, r12vrr_stack+234, r12vrr_stack+153, r12vrr_stack+147, r12vrr_stack+21);
 tmp = r12vrr_stack + 2092;
 target_ptr = Libr12->rvrr_classes[2][2];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+330, r12vrr_stack+0, r12vrr_stack+2071, r12vrr_stack+340, r12vrr_stack+147, r12vrr_stack+6, NULL);

 /*--- compute (p0||f0)^0 ---*/
 _R_BUILD_p0f0(Data,r12vrr_stack+117, r12vrr_stack+330, NULL, r12vrr_stack+390, r12vrr_stack+340, NULL, r12vrr_stack+147);

 /*--- compute (d0||f0)^0 ---*/
 _R_BUILD_d0f0(Data,r12vrr_stack+716, r12vrr_stack+117, r12vrr_stack+330, r12vrr_stack+420, r12vrr_stack+390, r12vrr_stack+340, r12vrr_stack+153);
 tmp = r12vrr_stack + 716;
 target_ptr = Libr12->rvrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+686, r12vrr_stack+330, r12vrr_stack+0, r12vrr_stack+701, r12vrr_stack+340, r12vrr_stack+147, NULL);

 /*--- compute (p0||g0)^0 ---*/
 _R_BUILD_p0g0(Data,r12vrr_stack+2128, r12vrr_stack+686, NULL, r12vrr_stack+776, r12vrr_stack+701, NULL, r12vrr_stack+340);

 /*--- compute (d0||g0)^0 ---*/
 _R_BUILD_d0g0(Data,r12vrr_stack+1227, r12vrr_stack+2128, r12vrr_stack+686, r12vrr_stack+821, r12vrr_stack+776, r12vrr_stack+701, r12vrr_stack+390);
 tmp = r12vrr_stack + 1227;
 target_ptr = Libr12->rvrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|d0)^0 ---*/
 _T2_BUILD_d0d0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1317, r12vrr_stack+234, r12vrr_stack+420, r12vrr_stack+270, r12vrr_stack+87, r12vrr_stack+30);
 tmp = r12vrr_stack + 1317;
 target_ptr = Libr12->t2vrr_classes[2][2];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_d0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+330, r12vrr_stack+420, r12vrr_stack+821, r12vrr_stack+586, r12vrr_stack+270, r12vrr_stack+234);
 tmp = r12vrr_stack + 330;
 target_ptr = Libr12->t2vrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_d0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1821, r12vrr_stack+821, r12vrr_stack+1416, r12vrr_stack+1077, r12vrr_stack+586, r12vrr_stack+420);
 tmp = r12vrr_stack + 1821;
 target_ptr = Libr12->t2vrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|d0)^0 ---*/
 _T2_BUILD_f0d0(Data,&(Libr12->ShellQuartet),r12vrr_stack+171, r12vrr_stack+270, r12vrr_stack+586, r12vrr_stack+1731, r12vrr_stack+1590, r12vrr_stack+87);
 tmp = r12vrr_stack + 171;
 target_ptr = Libr12->t2vrr_classes[3][2];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_f0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1542, r12vrr_stack+586, r12vrr_stack+1077, r12vrr_stack+1921, r12vrr_stack+1731, r12vrr_stack+270);
 tmp = r12vrr_stack + 1542;
 target_ptr = Libr12->t2vrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_f0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+911, r12vrr_stack+1077, r12vrr_stack+2446, r12vrr_stack+2221, r12vrr_stack+1921, r12vrr_stack+586);
 tmp = r12vrr_stack + 911;
 target_ptr = Libr12->t2vrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|d0)^0 ---*/
 _T1_BUILD_d0d0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2173, r12vrr_stack+234, r12vrr_stack+270, r12vrr_stack+420, r12vrr_stack+390, r12vrr_stack+153);
 tmp = r12vrr_stack + 2173;
 target_ptr = Libr12->t1vrr_classes[2][2];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_d0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1642, r12vrr_stack+420, r12vrr_stack+586, r12vrr_stack+821, r12vrr_stack+776, r12vrr_stack+390);
 tmp = r12vrr_stack + 1642;
 target_ptr = Libr12->t1vrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_d0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+480, r12vrr_stack+821, r12vrr_stack+1077, r12vrr_stack+1416, r12vrr_stack+1353, r12vrr_stack+776);
 tmp = r12vrr_stack + 480;
 target_ptr = Libr12->t1vrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|d0)^0 ---*/
 _T1_BUILD_f0d0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1353, r12vrr_stack+270, r12vrr_stack+1731, r12vrr_stack+586, r12vrr_stack+420, r12vrr_stack+234);
 tmp = r12vrr_stack + 1353;
 target_ptr = Libr12->t1vrr_classes[3][2];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_f0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1702, r12vrr_stack+586, r12vrr_stack+1921, r12vrr_stack+1077, r12vrr_stack+821, r12vrr_stack+420);
 tmp = r12vrr_stack + 1702;
 target_ptr = Libr12->t1vrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_f0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1911, r12vrr_stack+1077, r12vrr_stack+2221, r12vrr_stack+2446, r12vrr_stack+1416, r12vrr_stack+821);
 tmp = r12vrr_stack + 1911;
 target_ptr = Libr12->t1vrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||d0)^0 ---*/
 _R_BUILD_f0d0(Data,r12vrr_stack+1413, r12vrr_stack+2092, r12vrr_stack+2074, r12vrr_stack+270, r12vrr_stack+234, r12vrr_stack+153, r12vrr_stack+30);
 tmp = r12vrr_stack + 1413;
 target_ptr = Libr12->rvrr_classes[3][2];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||f0)^0 ---*/
 _R_BUILD_f0f0(Data,r12vrr_stack+0, r12vrr_stack+716, r12vrr_stack+117, r12vrr_stack+586, r12vrr_stack+420, r12vrr_stack+390, r12vrr_stack+234);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->rvrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||g0)^0 ---*/
 _R_BUILD_f0g0(Data,r12vrr_stack+2209, r12vrr_stack+1227, r12vrr_stack+2128, r12vrr_stack+1077, r12vrr_stack+821, r12vrr_stack+776, r12vrr_stack+420);
 tmp = r12vrr_stack + 2209;
 target_ptr = Libr12->rvrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];


}

