#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_dpdp(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^1 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+9, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (p0|p0)^1 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+12, r12vrr_stack+3, r12vrr_stack+9, NULL, NULL, Data->F+2);

 /*--- compute (p0|p0)^0 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+3, NULL, NULL, Data->F+1);

 /*--- compute (d0|p0)^0 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+30, r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0);

 /*--- compute (p0|00)^2 ---*/
 _BUILD_p000(Data,r12vrr_stack+48, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (d0|00)^1 ---*/
 _BUILD_d000(Data,r12vrr_stack+51, r12vrr_stack+0, r12vrr_stack+48, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+57, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+60, r12vrr_stack+9, r12vrr_stack+57, NULL, NULL, Data->F+3);

 /*--- compute (d0|p0)^1 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+69, r12vrr_stack+12, r12vrr_stack+60, r12vrr_stack+3, r12vrr_stack+9, r12vrr_stack+48);

 /*--- compute (f0|p0)^0 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+87, r12vrr_stack+30, r12vrr_stack+69, r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+51);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+117, r12vrr_stack+9, r12vrr_stack+57, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+123, r12vrr_stack+3, r12vrr_stack+9, Data->F+1, Data->F+2, NULL);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+129, r12vrr_stack+123, r12vrr_stack+117, NULL, NULL, r12vrr_stack+9);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+147, r12vrr_stack+6, r12vrr_stack+3, Data->F+0, Data->F+1, NULL);

 /*--- compute (p0|d0)^0 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+153, r12vrr_stack+147, r12vrr_stack+123, NULL, NULL, r12vrr_stack+3);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+171, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+174, r12vrr_stack+57, r12vrr_stack+171, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+180, r12vrr_stack+117, r12vrr_stack+174, NULL, NULL, r12vrr_stack+57);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+198, r12vrr_stack+129, r12vrr_stack+180, r12vrr_stack+123, r12vrr_stack+117, r12vrr_stack+60);

 /*--- compute (d0|d0)^0 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+234, r12vrr_stack+153, r12vrr_stack+129, r12vrr_stack+147, r12vrr_stack+123, r12vrr_stack+12);
 tmp = r12vrr_stack + 234;
 target_ptr = Libr12->gvrr_classes[2][2];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|d0)^0 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+270, r12vrr_stack+234, r12vrr_stack+198, r12vrr_stack+153, r12vrr_stack+129, r12vrr_stack+69);
 tmp = r12vrr_stack + 270;
 target_ptr = Libr12->gvrr_classes[3][2];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+330, r12vrr_stack+123, r12vrr_stack+117, r12vrr_stack+3, r12vrr_stack+9, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+340, r12vrr_stack+147, r12vrr_stack+123, r12vrr_stack+6, r12vrr_stack+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+350, r12vrr_stack+117, r12vrr_stack+174, r12vrr_stack+9, r12vrr_stack+57, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+360, r12vrr_stack+330, r12vrr_stack+350, NULL, NULL, r12vrr_stack+117);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+390, r12vrr_stack+340, r12vrr_stack+330, NULL, NULL, r12vrr_stack+123);

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+420, r12vrr_stack+390, r12vrr_stack+360, r12vrr_stack+340, r12vrr_stack+330, r12vrr_stack+129);
 tmp = r12vrr_stack + 420;
 target_ptr = Libr12->gvrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+480, r12vrr_stack+171, r12vrr_stack+3, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+486, r12vrr_stack+174, r12vrr_stack+480, r12vrr_stack+57, r12vrr_stack+171, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+496, r12vrr_stack+350, r12vrr_stack+486, NULL, NULL, r12vrr_stack+174);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+526, r12vrr_stack+360, r12vrr_stack+496, r12vrr_stack+330, r12vrr_stack+350, r12vrr_stack+180);

 /*--- compute (f0|f0)^0 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+586, r12vrr_stack+420, r12vrr_stack+526, r12vrr_stack+390, r12vrr_stack+360, r12vrr_stack+198);
 tmp = r12vrr_stack + 586;
 target_ptr = Libr12->gvrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|g0)^1 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+686, r12vrr_stack+330, r12vrr_stack+350, r12vrr_stack+123, r12vrr_stack+117, NULL);

 /*--- compute (00|g0)^0 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+701, r12vrr_stack+340, r12vrr_stack+330, r12vrr_stack+147, r12vrr_stack+123, NULL);

 /*--- compute (00|g0)^2 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+716, r12vrr_stack+350, r12vrr_stack+486, r12vrr_stack+117, r12vrr_stack+174, NULL);

 /*--- compute (p0|g0)^1 ---*/
 am[0] = 1;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+731, r12vrr_stack+686, r12vrr_stack+716, NULL, NULL, r12vrr_stack+350);

 /*--- compute (p0|g0)^0 ---*/
 am[0] = 1;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+776, r12vrr_stack+701, r12vrr_stack+686, NULL, NULL, r12vrr_stack+330);

 /*--- compute (d0|g0)^0 ---*/
 am[0] = 2;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+821, r12vrr_stack+776, r12vrr_stack+731, r12vrr_stack+701, r12vrr_stack+686, r12vrr_stack+360);
 tmp = r12vrr_stack + 821;
 target_ptr = Libr12->gvrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^3 ---*/
 _BUILD_p000(Data,r12vrr_stack+701, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (d0|00)^2 ---*/
 _BUILD_d000(Data,r12vrr_stack+123, r12vrr_stack+48, r12vrr_stack+701, Data->F+2, Data->F+3, NULL);

 /*--- compute (f0|00)^1 ---*/
 _BUILD_f000(Data,r12vrr_stack+330, r12vrr_stack+51, r12vrr_stack+123, r12vrr_stack+0, r12vrr_stack+48, NULL);

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+48, r12vrr_stack+57, r12vrr_stack+171, NULL, NULL, Data->F+4);

 /*--- compute (d0|p0)^2 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+911, r12vrr_stack+60, r12vrr_stack+48, r12vrr_stack+9, r12vrr_stack+57, r12vrr_stack+701);

 /*--- compute (f0|p0)^1 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+929, r12vrr_stack+69, r12vrr_stack+911, r12vrr_stack+12, r12vrr_stack+60, r12vrr_stack+123);

 /*--- compute (g0|p0)^0 ---*/
 am[0] = 4;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+959, r12vrr_stack+87, r12vrr_stack+929, r12vrr_stack+30, r12vrr_stack+69, r12vrr_stack+330);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+57, r12vrr_stack+174, r12vrr_stack+480, NULL, NULL, r12vrr_stack+171);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+1004, r12vrr_stack+180, r12vrr_stack+57, r12vrr_stack+117, r12vrr_stack+174, r12vrr_stack+48);

 /*--- compute (f0|d0)^1 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+1040, r12vrr_stack+198, r12vrr_stack+1004, r12vrr_stack+129, r12vrr_stack+180, r12vrr_stack+911);

 /*--- compute (g0|d0)^0 ---*/
 am[0] = 4;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+1100, r12vrr_stack+270, r12vrr_stack+1040, r12vrr_stack+234, r12vrr_stack+198, r12vrr_stack+929);
 tmp = r12vrr_stack + 1100;
 target_ptr = Libr12->gvrr_classes[4][2];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+911, r12vrr_stack+3, r12vrr_stack+0, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+330, r12vrr_stack+480, r12vrr_stack+911, r12vrr_stack+171, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+117, r12vrr_stack+486, r12vrr_stack+330, NULL, NULL, r12vrr_stack+480);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1190, r12vrr_stack+496, r12vrr_stack+117, r12vrr_stack+350, r12vrr_stack+486, r12vrr_stack+57);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1250, r12vrr_stack+526, r12vrr_stack+1190, r12vrr_stack+360, r12vrr_stack+496, r12vrr_stack+1004);

 /*--- compute (g0|f0)^0 ---*/
 am[0] = 4;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+1350, r12vrr_stack+586, r12vrr_stack+1250, r12vrr_stack+420, r12vrr_stack+526, r12vrr_stack+1040);

 /*--- compute (00|g0)^3 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+701, r12vrr_stack+486, r12vrr_stack+330, r12vrr_stack+174, r12vrr_stack+480, NULL);

 /*--- compute (p0|g0)^2 ---*/
 am[0] = 1;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1004, r12vrr_stack+716, r12vrr_stack+701, NULL, NULL, r12vrr_stack+486);

 /*--- compute (d0|g0)^1 ---*/
 am[0] = 2;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1190, r12vrr_stack+731, r12vrr_stack+1004, r12vrr_stack+686, r12vrr_stack+716, r12vrr_stack+496);

 /*--- compute (f0|g0)^0 ---*/
 am[0] = 3;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1500, r12vrr_stack+821, r12vrr_stack+1190, r12vrr_stack+776, r12vrr_stack+731, r12vrr_stack+526);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+1190, &(Data->ss_r12_ss), NULL, r12vrr_stack+6, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+0, r12vrr_stack+1190, &(Data->ss_r12_ss), r12vrr_stack+147, r12vrr_stack+6, Data->F+0, NULL);

 /*--- compute (p0||d0)^0 ---*/
 _R_BUILD_p0d0(Data,r12vrr_stack+1193, r12vrr_stack+0, NULL, r12vrr_stack+153, r12vrr_stack+147, NULL, r12vrr_stack+6);

 /*--- compute (d0||d0)^0 ---*/
 _R_BUILD_d0d0(Data,r12vrr_stack+1211, r12vrr_stack+1193, r12vrr_stack+0, r12vrr_stack+234, r12vrr_stack+153, r12vrr_stack+147, r12vrr_stack+21);
 tmp = r12vrr_stack + 1211;
 target_ptr = Libr12->rvrr_classes[2][2];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+330, r12vrr_stack+0, r12vrr_stack+1190, r12vrr_stack+340, r12vrr_stack+147, r12vrr_stack+6, NULL);

 /*--- compute (p0||f0)^0 ---*/
 _R_BUILD_p0f0(Data,r12vrr_stack+0, r12vrr_stack+330, NULL, r12vrr_stack+390, r12vrr_stack+340, NULL, r12vrr_stack+147);

 /*--- compute (d0||f0)^0 ---*/
 _R_BUILD_d0f0(Data,r12vrr_stack+1247, r12vrr_stack+0, r12vrr_stack+330, r12vrr_stack+420, r12vrr_stack+390, r12vrr_stack+340, r12vrr_stack+153);
 tmp = r12vrr_stack + 1247;
 target_ptr = Libr12->rvrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|d0)^0 ---*/
 _T2_BUILD_d0d0(Data,&(Libr12->ShellQuartet),r12vrr_stack+117, r12vrr_stack+234, r12vrr_stack+420, r12vrr_stack+270, r12vrr_stack+87, r12vrr_stack+30);
 tmp = r12vrr_stack + 117;
 target_ptr = Libr12->t2vrr_classes[2][2];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_d0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+330, r12vrr_stack+420, r12vrr_stack+821, r12vrr_stack+586, r12vrr_stack+270, r12vrr_stack+234);
 tmp = r12vrr_stack + 330;
 target_ptr = Libr12->t2vrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|d0)^0 ---*/
 _T2_BUILD_f0d0(Data,&(Libr12->ShellQuartet),r12vrr_stack+686, r12vrr_stack+270, r12vrr_stack+586, r12vrr_stack+1100, r12vrr_stack+959, r12vrr_stack+87);
 tmp = r12vrr_stack + 686;
 target_ptr = Libr12->t2vrr_classes[3][2];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_f0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+480, r12vrr_stack+586, r12vrr_stack+1500, r12vrr_stack+1350, r12vrr_stack+1100, r12vrr_stack+270);
 tmp = r12vrr_stack + 480;
 target_ptr = Libr12->t2vrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|d0)^0 ---*/
 _T1_BUILD_d0d0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1307, r12vrr_stack+234, r12vrr_stack+270, r12vrr_stack+420, r12vrr_stack+390, r12vrr_stack+153);
 tmp = r12vrr_stack + 1307;
 target_ptr = Libr12->t1vrr_classes[2][2];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_d0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+171, r12vrr_stack+420, r12vrr_stack+586, r12vrr_stack+821, r12vrr_stack+776, r12vrr_stack+390);
 tmp = r12vrr_stack + 171;
 target_ptr = Libr12->t1vrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|d0)^0 ---*/
 _T1_BUILD_f0d0(Data,&(Libr12->ShellQuartet),r12vrr_stack+746, r12vrr_stack+270, r12vrr_stack+1100, r12vrr_stack+586, r12vrr_stack+420, r12vrr_stack+234);
 tmp = r12vrr_stack + 746;
 target_ptr = Libr12->t1vrr_classes[3][2];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_f0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+911, r12vrr_stack+586, r12vrr_stack+1350, r12vrr_stack+1500, r12vrr_stack+821, r12vrr_stack+420);
 tmp = r12vrr_stack + 911;
 target_ptr = Libr12->t1vrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||d0)^0 ---*/
 _R_BUILD_f0d0(Data,r12vrr_stack+1343, r12vrr_stack+1211, r12vrr_stack+1193, r12vrr_stack+270, r12vrr_stack+234, r12vrr_stack+153, r12vrr_stack+30);
 tmp = r12vrr_stack + 1343;
 target_ptr = Libr12->rvrr_classes[3][2];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||f0)^0 ---*/
 _R_BUILD_f0f0(Data,r12vrr_stack+1403, r12vrr_stack+1247, r12vrr_stack+0, r12vrr_stack+586, r12vrr_stack+420, r12vrr_stack+390, r12vrr_stack+234);
 tmp = r12vrr_stack + 1403;
 target_ptr = Libr12->rvrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];


}

