#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_f0dd(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^2 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (p0|00)^1 ---*/
 _BUILD_p000(Data,r12vrr_stack+3, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (d0|00)^1 ---*/
 _BUILD_d000(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+15, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (p0|p0)^1 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+18, r12vrr_stack+15, r12vrr_stack+12, NULL, NULL, Data->F+2);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+27, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (p0|p0)^0 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+30, r12vrr_stack+27, r12vrr_stack+15, NULL, NULL, Data->F+1);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+39, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+42, r12vrr_stack+12, r12vrr_stack+39, NULL, NULL, Data->F+3);

 /*--- compute (d0|p0)^1 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+51, r12vrr_stack+18, r12vrr_stack+42, r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+0);

 /*--- compute (d0|p0)^0 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+69, r12vrr_stack+30, r12vrr_stack+18, r12vrr_stack+27, r12vrr_stack+15, r12vrr_stack+3);

 /*--- compute (f0|p0)^0 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+87, r12vrr_stack+69, r12vrr_stack+51, r12vrr_stack+30, r12vrr_stack+18, r12vrr_stack+6);

 /*--- compute (p0|00)^3 ---*/
 _BUILD_p000(Data,r12vrr_stack+117, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (d0|00)^2 ---*/
 _BUILD_d000(Data,r12vrr_stack+120, r12vrr_stack+0, r12vrr_stack+117, Data->F+2, Data->F+3, NULL);

 /*--- compute (f0|00)^1 ---*/
 _BUILD_f000(Data,r12vrr_stack+126, r12vrr_stack+6, r12vrr_stack+120, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+3, r12vrr_stack+39, r12vrr_stack+0, NULL, NULL, Data->F+4);

 /*--- compute (d0|p0)^2 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+136, r12vrr_stack+42, r12vrr_stack+3, r12vrr_stack+12, r12vrr_stack+39, r12vrr_stack+117);

 /*--- compute (f0|p0)^1 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+154, r12vrr_stack+51, r12vrr_stack+136, r12vrr_stack+18, r12vrr_stack+42, r12vrr_stack+120);

 /*--- compute (g0|p0)^0 ---*/
 am[0] = 4;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+184, r12vrr_stack+87, r12vrr_stack+154, r12vrr_stack+69, r12vrr_stack+51, r12vrr_stack+126);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+117, r12vrr_stack+12, r12vrr_stack+39, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+123, r12vrr_stack+15, r12vrr_stack+12, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+129, r12vrr_stack+39, r12vrr_stack+0, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+229, r12vrr_stack+117, r12vrr_stack+129, NULL, NULL, r12vrr_stack+39);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+247, r12vrr_stack+123, r12vrr_stack+117, NULL, NULL, r12vrr_stack+12);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+265, r12vrr_stack+247, r12vrr_stack+229, r12vrr_stack+123, r12vrr_stack+117, r12vrr_stack+42);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+42, r12vrr_stack+27, r12vrr_stack+15, Data->F+0, Data->F+1, NULL);

 /*--- compute (p0|d0)^0 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+301, r12vrr_stack+42, r12vrr_stack+123, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|d0)^0 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+319, r12vrr_stack+301, r12vrr_stack+247, r12vrr_stack+42, r12vrr_stack+123, r12vrr_stack+18);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+48, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+18, r12vrr_stack+0, r12vrr_stack+48, Data->F+4, Data->F+5, NULL);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+355, r12vrr_stack+129, r12vrr_stack+18, NULL, NULL, r12vrr_stack+0);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+373, r12vrr_stack+229, r12vrr_stack+355, r12vrr_stack+117, r12vrr_stack+129, r12vrr_stack+3);

 /*--- compute (f0|d0)^1 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+409, r12vrr_stack+265, r12vrr_stack+373, r12vrr_stack+247, r12vrr_stack+229, r12vrr_stack+136);

 /*--- compute (f0|d0)^0 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+469, r12vrr_stack+319, r12vrr_stack+265, r12vrr_stack+301, r12vrr_stack+247, r12vrr_stack+51);
 tmp = r12vrr_stack + 469;
 target_ptr = Libr12->gvrr_classes[3][2];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|d0)^0 ---*/
 am[0] = 4;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+529, r12vrr_stack+469, r12vrr_stack+409, r12vrr_stack+319, r12vrr_stack+265, r12vrr_stack+154);
 tmp = r12vrr_stack + 529;
 target_ptr = Libr12->gvrr_classes[4][2];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+51, r12vrr_stack+117, r12vrr_stack+129, r12vrr_stack+12, r12vrr_stack+39, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+135, r12vrr_stack+123, r12vrr_stack+117, r12vrr_stack+15, r12vrr_stack+12, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+145, r12vrr_stack+135, r12vrr_stack+51, NULL, NULL, r12vrr_stack+117);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+3, r12vrr_stack+42, r12vrr_stack+123, r12vrr_stack+27, r12vrr_stack+15, NULL);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+619, r12vrr_stack+3, r12vrr_stack+135, NULL, NULL, r12vrr_stack+123);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+649, r12vrr_stack+129, r12vrr_stack+18, r12vrr_stack+39, r12vrr_stack+0, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+659, r12vrr_stack+51, r12vrr_stack+649, NULL, NULL, r12vrr_stack+129);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+689, r12vrr_stack+145, r12vrr_stack+659, r12vrr_stack+135, r12vrr_stack+51, r12vrr_stack+229);

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+749, r12vrr_stack+619, r12vrr_stack+145, r12vrr_stack+3, r12vrr_stack+135, r12vrr_stack+247);

 /*--- compute (f0|f0)^0 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+809, r12vrr_stack+749, r12vrr_stack+689, r12vrr_stack+619, r12vrr_stack+145, r12vrr_stack+265);
 tmp = r12vrr_stack + 809;
 target_ptr = Libr12->gvrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+39, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+229, r12vrr_stack+48, r12vrr_stack+39, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+235, r12vrr_stack+18, r12vrr_stack+229, r12vrr_stack+0, r12vrr_stack+48, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+245, r12vrr_stack+649, r12vrr_stack+235, NULL, NULL, r12vrr_stack+18);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+909, r12vrr_stack+659, r12vrr_stack+245, r12vrr_stack+51, r12vrr_stack+649, r12vrr_stack+355);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+969, r12vrr_stack+689, r12vrr_stack+909, r12vrr_stack+145, r12vrr_stack+659, r12vrr_stack+373);

 /*--- compute (g0|f0)^0 ---*/
 am[0] = 4;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+1069, r12vrr_stack+809, r12vrr_stack+969, r12vrr_stack+749, r12vrr_stack+689, r12vrr_stack+409);
 tmp = r12vrr_stack + 1069;
 target_ptr = Libr12->gvrr_classes[4][3];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|g0)^2 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+355, r12vrr_stack+51, r12vrr_stack+649, r12vrr_stack+117, r12vrr_stack+129, NULL);

 /*--- compute (00|g0)^1 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+370, r12vrr_stack+135, r12vrr_stack+51, r12vrr_stack+123, r12vrr_stack+117, NULL);

 /*--- compute (p0|g0)^1 ---*/
 am[0] = 1;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+385, r12vrr_stack+370, r12vrr_stack+355, NULL, NULL, r12vrr_stack+51);

 /*--- compute (00|g0)^0 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+430, r12vrr_stack+3, r12vrr_stack+135, r12vrr_stack+42, r12vrr_stack+123, NULL);

 /*--- compute (p0|g0)^0 ---*/
 am[0] = 1;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1219, r12vrr_stack+430, r12vrr_stack+370, NULL, NULL, r12vrr_stack+135);

 /*--- compute (00|g0)^3 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+445, r12vrr_stack+649, r12vrr_stack+235, r12vrr_stack+129, r12vrr_stack+18, NULL);

 /*--- compute (p0|g0)^2 ---*/
 am[0] = 1;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1264, r12vrr_stack+355, r12vrr_stack+445, NULL, NULL, r12vrr_stack+649);

 /*--- compute (d0|g0)^1 ---*/
 am[0] = 2;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1309, r12vrr_stack+385, r12vrr_stack+1264, r12vrr_stack+370, r12vrr_stack+355, r12vrr_stack+659);

 /*--- compute (d0|g0)^0 ---*/
 am[0] = 2;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1399, r12vrr_stack+1219, r12vrr_stack+385, r12vrr_stack+430, r12vrr_stack+370, r12vrr_stack+145);

 /*--- compute (f0|g0)^0 ---*/
 am[0] = 3;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1489, r12vrr_stack+1399, r12vrr_stack+1309, r12vrr_stack+1219, r12vrr_stack+385, r12vrr_stack+689);
 tmp = r12vrr_stack + 1489;
 target_ptr = Libr12->gvrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+145, r12vrr_stack+39, r12vrr_stack+0, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+151, r12vrr_stack+229, r12vrr_stack+145, r12vrr_stack+48, r12vrr_stack+39, NULL);

 /*--- compute (00|g0)^4 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+161, r12vrr_stack+235, r12vrr_stack+151, r12vrr_stack+18, r12vrr_stack+229, NULL);

 /*--- compute (p0|g0)^3 ---*/
 am[0] = 1;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+659, r12vrr_stack+445, r12vrr_stack+161, NULL, NULL, r12vrr_stack+235);

 /*--- compute (d0|g0)^2 ---*/
 am[0] = 2;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1639, r12vrr_stack+1264, r12vrr_stack+659, r12vrr_stack+355, r12vrr_stack+445, r12vrr_stack+245);

 /*--- compute (f0|g0)^1 ---*/
 am[0] = 3;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1729, r12vrr_stack+1309, r12vrr_stack+1639, r12vrr_stack+385, r12vrr_stack+1264, r12vrr_stack+909);

 /*--- compute (g0|g0)^0 ---*/
 am[0] = 4;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1879, r12vrr_stack+1489, r12vrr_stack+1729, r12vrr_stack+1399, r12vrr_stack+1309, r12vrr_stack+969);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+909, r12vrr_stack+355, r12vrr_stack+445, r12vrr_stack+51, r12vrr_stack+649, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+930, r12vrr_stack+370, r12vrr_stack+355, r12vrr_stack+135, r12vrr_stack+51, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+951, r12vrr_stack+930, r12vrr_stack+909, NULL, NULL, r12vrr_stack+355);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+48, r12vrr_stack+430, r12vrr_stack+370, r12vrr_stack+3, r12vrr_stack+135, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1639, r12vrr_stack+48, r12vrr_stack+930, NULL, NULL, r12vrr_stack+370);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+355, r12vrr_stack+445, r12vrr_stack+161, r12vrr_stack+649, r12vrr_stack+235, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+649, r12vrr_stack+909, r12vrr_stack+355, NULL, NULL, r12vrr_stack+445);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1702, r12vrr_stack+951, r12vrr_stack+649, r12vrr_stack+930, r12vrr_stack+909, r12vrr_stack+1264);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2104, r12vrr_stack+1639, r12vrr_stack+951, r12vrr_stack+48, r12vrr_stack+930, r12vrr_stack+385);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2230, r12vrr_stack+2104, r12vrr_stack+1702, r12vrr_stack+1639, r12vrr_stack+951, r12vrr_stack+1309);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+39, &(Data->ss_r12_ss), NULL, r12vrr_stack+27, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+1639, r12vrr_stack+39, &(Data->ss_r12_ss), r12vrr_stack+42, r12vrr_stack+27, Data->F+0, NULL);

 /*--- compute (p0||d0)^0 ---*/
 _R_BUILD_p0d0(Data,r12vrr_stack+1645, r12vrr_stack+1639, NULL, r12vrr_stack+301, r12vrr_stack+42, NULL, r12vrr_stack+27);

 /*--- compute (d0||d0)^0 ---*/
 _R_BUILD_d0d0(Data,r12vrr_stack+1663, r12vrr_stack+1645, r12vrr_stack+1639, r12vrr_stack+319, r12vrr_stack+301, r12vrr_stack+42, r12vrr_stack+30);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+1699, r12vrr_stack+1639, r12vrr_stack+39, r12vrr_stack+3, r12vrr_stack+42, r12vrr_stack+27, NULL);

 /*--- compute (p0||f0)^0 ---*/
 _R_BUILD_p0f0(Data,r12vrr_stack+1709, r12vrr_stack+1699, NULL, r12vrr_stack+619, r12vrr_stack+3, NULL, r12vrr_stack+42);

 /*--- compute (d0||f0)^0 ---*/
 _R_BUILD_d0f0(Data,r12vrr_stack+1739, r12vrr_stack+1709, r12vrr_stack+1699, r12vrr_stack+749, r12vrr_stack+619, r12vrr_stack+3, r12vrr_stack+301);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+1799, r12vrr_stack+1699, r12vrr_stack+1639, r12vrr_stack+430, r12vrr_stack+3, r12vrr_stack+42, NULL);

 /*--- compute (p0||g0)^0 ---*/
 _R_BUILD_p0g0(Data,r12vrr_stack+1814, r12vrr_stack+1799, NULL, r12vrr_stack+1219, r12vrr_stack+430, NULL, r12vrr_stack+3);

 /*--- compute (d0||g0)^0 ---*/
 _R_BUILD_d0g0(Data,r12vrr_stack+1264, r12vrr_stack+1814, r12vrr_stack+1799, r12vrr_stack+1399, r12vrr_stack+1219, r12vrr_stack+430, r12vrr_stack+619);

 /*--- compute (f0|[r12,T2]|d0)^0 ---*/
 _T2_BUILD_f0d0(Data,&(Libr12->ShellQuartet),r12vrr_stack+909, r12vrr_stack+469, r12vrr_stack+809, r12vrr_stack+529, r12vrr_stack+184, r12vrr_stack+87);
 tmp = r12vrr_stack + 909;
 target_ptr = Libr12->t2vrr_classes[3][2];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_f0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+969, r12vrr_stack+809, r12vrr_stack+1489, r12vrr_stack+1069, r12vrr_stack+529, r12vrr_stack+469);
 tmp = r12vrr_stack + 969;
 target_ptr = Libr12->t2vrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_f0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+87, r12vrr_stack+1489, r12vrr_stack+2230, r12vrr_stack+1879, r12vrr_stack+1069, r12vrr_stack+809);
 tmp = r12vrr_stack + 87;
 target_ptr = Libr12->t2vrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|d0)^0 ---*/
 _T1_BUILD_f0d0(Data,&(Libr12->ShellQuartet),r12vrr_stack+237, r12vrr_stack+469, r12vrr_stack+529, r12vrr_stack+809, r12vrr_stack+749, r12vrr_stack+319);
 tmp = r12vrr_stack + 237;
 target_ptr = Libr12->t1vrr_classes[3][2];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_f0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+649, r12vrr_stack+809, r12vrr_stack+1069, r12vrr_stack+1489, r12vrr_stack+1399, r12vrr_stack+749);
 tmp = r12vrr_stack + 649;
 target_ptr = Libr12->t1vrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_f0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1069, r12vrr_stack+1489, r12vrr_stack+1879, r12vrr_stack+2230, r12vrr_stack+2104, r12vrr_stack+1399);
 tmp = r12vrr_stack + 1069;
 target_ptr = Libr12->t1vrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||d0)^0 ---*/
 _R_BUILD_f0d0(Data,r12vrr_stack+529, r12vrr_stack+1663, r12vrr_stack+1645, r12vrr_stack+469, r12vrr_stack+319, r12vrr_stack+301, r12vrr_stack+69);
 tmp = r12vrr_stack + 529;
 target_ptr = Libr12->rvrr_classes[3][2];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||f0)^0 ---*/
 _R_BUILD_f0f0(Data,r12vrr_stack+1859, r12vrr_stack+1739, r12vrr_stack+1709, r12vrr_stack+809, r12vrr_stack+749, r12vrr_stack+619, r12vrr_stack+319);
 tmp = r12vrr_stack + 1859;
 target_ptr = Libr12->rvrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||g0)^0 ---*/
 _R_BUILD_f0g0(Data,r12vrr_stack+297, r12vrr_stack+1264, r12vrr_stack+1814, r12vrr_stack+1489, r12vrr_stack+1399, r12vrr_stack+1219, r12vrr_stack+749);
 tmp = r12vrr_stack + 297;
 target_ptr = Libr12->rvrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];


}

