#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_fpdd(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^2 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (p0|00)^1 ---*/
 _BUILD_p000(Data,r12vrr_stack+3, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (d0|00)^1 ---*/
 _BUILD_d000(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+15, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (p0|p0)^1 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+18, r12vrr_stack+15, r12vrr_stack+12, NULL, NULL, Data->F+2);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+27, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (p0|p0)^0 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+30, r12vrr_stack+27, r12vrr_stack+15, NULL, NULL, Data->F+1);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+39, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+42, r12vrr_stack+12, r12vrr_stack+39, NULL, NULL, Data->F+3);

 /*--- compute (d0|p0)^1 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+51, r12vrr_stack+18, r12vrr_stack+42, r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+0);

 /*--- compute (d0|p0)^0 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+69, r12vrr_stack+30, r12vrr_stack+18, r12vrr_stack+27, r12vrr_stack+15, r12vrr_stack+3);

 /*--- compute (f0|p0)^0 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+87, r12vrr_stack+69, r12vrr_stack+51, r12vrr_stack+30, r12vrr_stack+18, r12vrr_stack+6);

 /*--- compute (p0|00)^3 ---*/
 _BUILD_p000(Data,r12vrr_stack+117, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (d0|00)^2 ---*/
 _BUILD_d000(Data,r12vrr_stack+120, r12vrr_stack+0, r12vrr_stack+117, Data->F+2, Data->F+3, NULL);

 /*--- compute (f0|00)^1 ---*/
 _BUILD_f000(Data,r12vrr_stack+126, r12vrr_stack+6, r12vrr_stack+120, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+136, r12vrr_stack+39, r12vrr_stack+3, NULL, NULL, Data->F+4);

 /*--- compute (d0|p0)^2 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+145, r12vrr_stack+42, r12vrr_stack+136, r12vrr_stack+12, r12vrr_stack+39, r12vrr_stack+117);

 /*--- compute (f0|p0)^1 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+163, r12vrr_stack+51, r12vrr_stack+145, r12vrr_stack+18, r12vrr_stack+42, r12vrr_stack+120);

 /*--- compute (g0|p0)^0 ---*/
 am[0] = 4;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+193, r12vrr_stack+87, r12vrr_stack+163, r12vrr_stack+69, r12vrr_stack+51, r12vrr_stack+126);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+238, r12vrr_stack+12, r12vrr_stack+39, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+244, r12vrr_stack+15, r12vrr_stack+12, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+250, r12vrr_stack+39, r12vrr_stack+3, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+256, r12vrr_stack+238, r12vrr_stack+250, NULL, NULL, r12vrr_stack+39);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+274, r12vrr_stack+244, r12vrr_stack+238, NULL, NULL, r12vrr_stack+12);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+292, r12vrr_stack+274, r12vrr_stack+256, r12vrr_stack+244, r12vrr_stack+238, r12vrr_stack+42);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+328, r12vrr_stack+27, r12vrr_stack+15, Data->F+0, Data->F+1, NULL);

 /*--- compute (p0|d0)^0 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+334, r12vrr_stack+328, r12vrr_stack+244, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|d0)^0 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+352, r12vrr_stack+334, r12vrr_stack+274, r12vrr_stack+328, r12vrr_stack+244, r12vrr_stack+18);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+18, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+21, r12vrr_stack+3, r12vrr_stack+18, Data->F+4, Data->F+5, NULL);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+388, r12vrr_stack+250, r12vrr_stack+21, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+406, r12vrr_stack+256, r12vrr_stack+388, r12vrr_stack+238, r12vrr_stack+250, r12vrr_stack+136);

 /*--- compute (f0|d0)^1 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+442, r12vrr_stack+292, r12vrr_stack+406, r12vrr_stack+274, r12vrr_stack+256, r12vrr_stack+145);

 /*--- compute (f0|d0)^0 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+502, r12vrr_stack+352, r12vrr_stack+292, r12vrr_stack+334, r12vrr_stack+274, r12vrr_stack+51);
 tmp = r12vrr_stack + 502;
 target_ptr = Libr12->gvrr_classes[3][2];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|d0)^0 ---*/
 am[0] = 4;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+562, r12vrr_stack+502, r12vrr_stack+442, r12vrr_stack+352, r12vrr_stack+292, r12vrr_stack+163);
 tmp = r12vrr_stack + 562;
 target_ptr = Libr12->gvrr_classes[4][2];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+652, r12vrr_stack+238, r12vrr_stack+250, r12vrr_stack+12, r12vrr_stack+39, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+662, r12vrr_stack+244, r12vrr_stack+238, r12vrr_stack+15, r12vrr_stack+12, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+672, r12vrr_stack+662, r12vrr_stack+652, NULL, NULL, r12vrr_stack+238);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+702, r12vrr_stack+328, r12vrr_stack+244, r12vrr_stack+27, r12vrr_stack+15, NULL);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+712, r12vrr_stack+702, r12vrr_stack+662, NULL, NULL, r12vrr_stack+244);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+742, r12vrr_stack+250, r12vrr_stack+21, r12vrr_stack+39, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+752, r12vrr_stack+652, r12vrr_stack+742, NULL, NULL, r12vrr_stack+250);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+782, r12vrr_stack+672, r12vrr_stack+752, r12vrr_stack+662, r12vrr_stack+652, r12vrr_stack+256);

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+842, r12vrr_stack+712, r12vrr_stack+672, r12vrr_stack+702, r12vrr_stack+662, r12vrr_stack+274);

 /*--- compute (f0|f0)^0 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+902, r12vrr_stack+842, r12vrr_stack+782, r12vrr_stack+712, r12vrr_stack+672, r12vrr_stack+292);
 tmp = r12vrr_stack + 902;
 target_ptr = Libr12->gvrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+274, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+12, r12vrr_stack+18, r12vrr_stack+274, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+277, r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+3, r12vrr_stack+18, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1002, r12vrr_stack+742, r12vrr_stack+277, NULL, NULL, r12vrr_stack+21);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1032, r12vrr_stack+752, r12vrr_stack+1002, r12vrr_stack+652, r12vrr_stack+742, r12vrr_stack+388);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1092, r12vrr_stack+782, r12vrr_stack+1032, r12vrr_stack+672, r12vrr_stack+752, r12vrr_stack+406);

 /*--- compute (g0|f0)^0 ---*/
 am[0] = 4;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+1192, r12vrr_stack+902, r12vrr_stack+1092, r12vrr_stack+842, r12vrr_stack+782, r12vrr_stack+442);
 tmp = r12vrr_stack + 1192;
 target_ptr = Libr12->gvrr_classes[4][3];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|g0)^2 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1342, r12vrr_stack+652, r12vrr_stack+742, r12vrr_stack+238, r12vrr_stack+250, NULL);

 /*--- compute (00|g0)^1 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1357, r12vrr_stack+662, r12vrr_stack+652, r12vrr_stack+244, r12vrr_stack+238, NULL);

 /*--- compute (p0|g0)^1 ---*/
 am[0] = 1;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1372, r12vrr_stack+1357, r12vrr_stack+1342, NULL, NULL, r12vrr_stack+652);

 /*--- compute (00|g0)^0 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1417, r12vrr_stack+702, r12vrr_stack+662, r12vrr_stack+328, r12vrr_stack+244, NULL);

 /*--- compute (p0|g0)^0 ---*/
 am[0] = 1;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1432, r12vrr_stack+1417, r12vrr_stack+1357, NULL, NULL, r12vrr_stack+662);

 /*--- compute (00|g0)^3 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1477, r12vrr_stack+742, r12vrr_stack+277, r12vrr_stack+250, r12vrr_stack+21, NULL);

 /*--- compute (p0|g0)^2 ---*/
 am[0] = 1;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1492, r12vrr_stack+1342, r12vrr_stack+1477, NULL, NULL, r12vrr_stack+742);

 /*--- compute (d0|g0)^1 ---*/
 am[0] = 2;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1537, r12vrr_stack+1372, r12vrr_stack+1492, r12vrr_stack+1357, r12vrr_stack+1342, r12vrr_stack+752);

 /*--- compute (d0|g0)^0 ---*/
 am[0] = 2;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1627, r12vrr_stack+1432, r12vrr_stack+1372, r12vrr_stack+1417, r12vrr_stack+1357, r12vrr_stack+672);

 /*--- compute (f0|g0)^0 ---*/
 am[0] = 3;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1717, r12vrr_stack+1627, r12vrr_stack+1537, r12vrr_stack+1432, r12vrr_stack+1372, r12vrr_stack+782);
 tmp = r12vrr_stack + 1717;
 target_ptr = Libr12->gvrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+672, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+675, r12vrr_stack+274, r12vrr_stack+672, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+681, r12vrr_stack+12, r12vrr_stack+675, r12vrr_stack+18, r12vrr_stack+274, NULL);

 /*--- compute (00|g0)^4 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1867, r12vrr_stack+277, r12vrr_stack+681, r12vrr_stack+21, r12vrr_stack+12, NULL);

 /*--- compute (p0|g0)^3 ---*/
 am[0] = 1;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1882, r12vrr_stack+1477, r12vrr_stack+1867, NULL, NULL, r12vrr_stack+277);

 /*--- compute (d0|g0)^2 ---*/
 am[0] = 2;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1927, r12vrr_stack+1492, r12vrr_stack+1882, r12vrr_stack+1342, r12vrr_stack+1477, r12vrr_stack+1002);

 /*--- compute (f0|g0)^1 ---*/
 am[0] = 3;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+2017, r12vrr_stack+1537, r12vrr_stack+1927, r12vrr_stack+1372, r12vrr_stack+1492, r12vrr_stack+1032);

 /*--- compute (g0|g0)^0 ---*/
 am[0] = 4;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+2167, r12vrr_stack+1717, r12vrr_stack+2017, r12vrr_stack+1627, r12vrr_stack+1537, r12vrr_stack+1092);
 tmp = r12vrr_stack + 2167;
 target_ptr = Libr12->gvrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2392, r12vrr_stack+1342, r12vrr_stack+1477, r12vrr_stack+652, r12vrr_stack+742, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2413, r12vrr_stack+1357, r12vrr_stack+1342, r12vrr_stack+662, r12vrr_stack+652, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2434, r12vrr_stack+2413, r12vrr_stack+2392, NULL, NULL, r12vrr_stack+1342);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2497, r12vrr_stack+1417, r12vrr_stack+1357, r12vrr_stack+702, r12vrr_stack+662, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2518, r12vrr_stack+2497, r12vrr_stack+2413, NULL, NULL, r12vrr_stack+1357);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1342, r12vrr_stack+1477, r12vrr_stack+1867, r12vrr_stack+742, r12vrr_stack+277, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2581, r12vrr_stack+2392, r12vrr_stack+1342, NULL, NULL, r12vrr_stack+1477);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2644, r12vrr_stack+2434, r12vrr_stack+2581, r12vrr_stack+2413, r12vrr_stack+2392, r12vrr_stack+1492);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2770, r12vrr_stack+2518, r12vrr_stack+2434, r12vrr_stack+2497, r12vrr_stack+2413, r12vrr_stack+1372);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2896, r12vrr_stack+2770, r12vrr_stack+2644, r12vrr_stack+2518, r12vrr_stack+2434, r12vrr_stack+1537);
 tmp = r12vrr_stack + 2896;
 target_ptr = Libr12->gvrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^4 ---*/
 _BUILD_p000(Data,r12vrr_stack+2413, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (d0|00)^3 ---*/
 _BUILD_d000(Data,r12vrr_stack+2416, r12vrr_stack+117, r12vrr_stack+2413, Data->F+3, Data->F+4, NULL);

 /*--- compute (f0|00)^2 ---*/
 _BUILD_f000(Data,r12vrr_stack+2422, r12vrr_stack+120, r12vrr_stack+2416, r12vrr_stack+0, r12vrr_stack+117, NULL);

 /*--- compute (g0|00)^1 ---*/
 am[0] = 4;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+2497, r12vrr_stack+126, r12vrr_stack+2422, r12vrr_stack+6, r12vrr_stack+120, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+117, r12vrr_stack+3, r12vrr_stack+18, NULL, NULL, Data->F+5);

 /*--- compute (d0|p0)^3 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+2512, r12vrr_stack+136, r12vrr_stack+117, r12vrr_stack+39, r12vrr_stack+3, r12vrr_stack+2413);

 /*--- compute (f0|p0)^2 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+2530, r12vrr_stack+145, r12vrr_stack+2512, r12vrr_stack+42, r12vrr_stack+136, r12vrr_stack+2416);

 /*--- compute (g0|p0)^1 ---*/
 am[0] = 4;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+1363, r12vrr_stack+163, r12vrr_stack+2530, r12vrr_stack+51, r12vrr_stack+145, r12vrr_stack+2422);

 /*--- compute (h0|p0)^0 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+3106, r12vrr_stack+193, r12vrr_stack+1363, r12vrr_stack+87, r12vrr_stack+163, r12vrr_stack+2497);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+2413, r12vrr_stack+21, r12vrr_stack+12, NULL, NULL, r12vrr_stack+18);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+126, r12vrr_stack+388, r12vrr_stack+2413, r12vrr_stack+250, r12vrr_stack+21, r12vrr_stack+117);

 /*--- compute (f0|d0)^2 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+3169, r12vrr_stack+406, r12vrr_stack+126, r12vrr_stack+256, r12vrr_stack+388, r12vrr_stack+2512);

 /*--- compute (g0|d0)^1 ---*/
 am[0] = 4;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+3229, r12vrr_stack+442, r12vrr_stack+3169, r12vrr_stack+292, r12vrr_stack+406, r12vrr_stack+2530);

 /*--- compute (h0|d0)^0 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+3319, r12vrr_stack+562, r12vrr_stack+3229, r12vrr_stack+502, r12vrr_stack+442, r12vrr_stack+1363);
 tmp = r12vrr_stack + 3319;
 target_ptr = Libr12->gvrr_classes[5][2];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+39, r12vrr_stack+277, r12vrr_stack+681, NULL, NULL, r12vrr_stack+12);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+388, r12vrr_stack+1002, r12vrr_stack+39, r12vrr_stack+742, r12vrr_stack+277, r12vrr_stack+2413);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+3445, r12vrr_stack+1032, r12vrr_stack+388, r12vrr_stack+752, r12vrr_stack+1002, r12vrr_stack+126);

 /*--- compute (g0|f0)^1 ---*/
 am[0] = 4;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+3545, r12vrr_stack+1092, r12vrr_stack+3445, r12vrr_stack+782, r12vrr_stack+1032, r12vrr_stack+3169);

 /*--- compute (h0|f0)^0 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+3695, r12vrr_stack+1192, r12vrr_stack+3545, r12vrr_stack+902, r12vrr_stack+1092, r12vrr_stack+3229);
 tmp = r12vrr_stack + 3695;
 target_ptr = Libr12->gvrr_classes[5][3];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3169, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+3172, r12vrr_stack+672, r12vrr_stack+3169, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+3178, r12vrr_stack+675, r12vrr_stack+3172, r12vrr_stack+274, r12vrr_stack+672, NULL);

 /*--- compute (00|g0)^5 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+3188, r12vrr_stack+681, r12vrr_stack+3178, r12vrr_stack+12, r12vrr_stack+675, NULL);

 /*--- compute (p0|g0)^4 ---*/
 am[0] = 1;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+3203, r12vrr_stack+1867, r12vrr_stack+3188, NULL, NULL, r12vrr_stack+681);

 /*--- compute (d0|g0)^3 ---*/
 am[0] = 2;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1002, r12vrr_stack+1882, r12vrr_stack+3203, r12vrr_stack+1477, r12vrr_stack+1867, r12vrr_stack+39);

 /*--- compute (f0|g0)^2 ---*/
 am[0] = 3;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+3905, r12vrr_stack+1927, r12vrr_stack+1002, r12vrr_stack+1492, r12vrr_stack+1882, r12vrr_stack+388);

 /*--- compute (g0|g0)^1 ---*/
 am[0] = 4;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+4055, r12vrr_stack+2017, r12vrr_stack+3905, r12vrr_stack+1537, r12vrr_stack+1927, r12vrr_stack+3445);

 /*--- compute (h0|g0)^0 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+4280, r12vrr_stack+2167, r12vrr_stack+4055, r12vrr_stack+1717, r12vrr_stack+2017, r12vrr_stack+3545);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2413, r12vrr_stack+1867, r12vrr_stack+3188, r12vrr_stack+277, r12vrr_stack+681, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3445, r12vrr_stack+1342, r12vrr_stack+2413, NULL, NULL, r12vrr_stack+1867);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3508, r12vrr_stack+2581, r12vrr_stack+3445, r12vrr_stack+2392, r12vrr_stack+1342, r12vrr_stack+1882);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3905, r12vrr_stack+2644, r12vrr_stack+3508, r12vrr_stack+2434, r12vrr_stack+2581, r12vrr_stack+1927);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4595, r12vrr_stack+2896, r12vrr_stack+3905, r12vrr_stack+2770, r12vrr_stack+2644, r12vrr_stack+2017);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+3905, &(Data->ss_r12_ss), NULL, r12vrr_stack+27, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+3908, r12vrr_stack+3905, &(Data->ss_r12_ss), r12vrr_stack+328, r12vrr_stack+27, Data->F+0, NULL);

 /*--- compute (p0||d0)^0 ---*/
 _R_BUILD_p0d0(Data,r12vrr_stack+3914, r12vrr_stack+3908, NULL, r12vrr_stack+334, r12vrr_stack+328, NULL, r12vrr_stack+27);

 /*--- compute (d0||d0)^0 ---*/
 _R_BUILD_d0d0(Data,r12vrr_stack+3932, r12vrr_stack+3914, r12vrr_stack+3908, r12vrr_stack+352, r12vrr_stack+334, r12vrr_stack+328, r12vrr_stack+30);

 /*--- compute (f0||d0)^0 ---*/
 _R_BUILD_f0d0(Data,r12vrr_stack+3968, r12vrr_stack+3932, r12vrr_stack+3914, r12vrr_stack+502, r12vrr_stack+352, r12vrr_stack+334, r12vrr_stack+69);
 tmp = r12vrr_stack + 3968;
 target_ptr = Libr12->rvrr_classes[3][2];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+3914, r12vrr_stack+3908, r12vrr_stack+3905, r12vrr_stack+702, r12vrr_stack+328, r12vrr_stack+27, NULL);

 /*--- compute (p0||f0)^0 ---*/
 _R_BUILD_p0f0(Data,r12vrr_stack+4028, r12vrr_stack+3914, NULL, r12vrr_stack+712, r12vrr_stack+702, NULL, r12vrr_stack+328);

 /*--- compute (d0||f0)^0 ---*/
 _R_BUILD_d0f0(Data,r12vrr_stack+4058, r12vrr_stack+4028, r12vrr_stack+3914, r12vrr_stack+842, r12vrr_stack+712, r12vrr_stack+702, r12vrr_stack+334);

 /*--- compute (f0||f0)^0 ---*/
 _R_BUILD_f0f0(Data,r12vrr_stack+742, r12vrr_stack+4058, r12vrr_stack+4028, r12vrr_stack+902, r12vrr_stack+842, r12vrr_stack+712, r12vrr_stack+352);
 tmp = r12vrr_stack + 742;
 target_ptr = Libr12->rvrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+4028, r12vrr_stack+3914, r12vrr_stack+3908, r12vrr_stack+1417, r12vrr_stack+702, r12vrr_stack+328, NULL);

 /*--- compute (p0||g0)^0 ---*/
 _R_BUILD_p0g0(Data,r12vrr_stack+4118, r12vrr_stack+4028, NULL, r12vrr_stack+1432, r12vrr_stack+1417, NULL, r12vrr_stack+702);

 /*--- compute (d0||g0)^0 ---*/
 _R_BUILD_d0g0(Data,r12vrr_stack+4163, r12vrr_stack+4118, r12vrr_stack+4028, r12vrr_stack+1627, r12vrr_stack+1432, r12vrr_stack+1417, r12vrr_stack+712);

 /*--- compute (f0||g0)^0 ---*/
 _R_BUILD_f0g0(Data,r12vrr_stack+1477, r12vrr_stack+4163, r12vrr_stack+4118, r12vrr_stack+1717, r12vrr_stack+1627, r12vrr_stack+1432, r12vrr_stack+842);
 tmp = r12vrr_stack + 1477;
 target_ptr = Libr12->rvrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|d0)^0 ---*/
 _T2_BUILD_f0d0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1342, r12vrr_stack+502, r12vrr_stack+902, r12vrr_stack+562, r12vrr_stack+193, r12vrr_stack+87);
 tmp = r12vrr_stack + 1342;
 target_ptr = Libr12->t2vrr_classes[3][2];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_f0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2392, r12vrr_stack+902, r12vrr_stack+1717, r12vrr_stack+1192, r12vrr_stack+562, r12vrr_stack+502);
 tmp = r12vrr_stack + 2392;
 target_ptr = Libr12->t2vrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_f0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3169, r12vrr_stack+1717, r12vrr_stack+2896, r12vrr_stack+2167, r12vrr_stack+1192, r12vrr_stack+902);
 tmp = r12vrr_stack + 3169;
 target_ptr = Libr12->t2vrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|d0)^0 ---*/
 _T2_BUILD_g0d0(Data,&(Libr12->ShellQuartet),r12vrr_stack+652, r12vrr_stack+562, r12vrr_stack+1192, r12vrr_stack+3319, r12vrr_stack+3106, r12vrr_stack+193);
 tmp = r12vrr_stack + 652;
 target_ptr = Libr12->t2vrr_classes[4][2];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_g0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2492, r12vrr_stack+1192, r12vrr_stack+2167, r12vrr_stack+3695, r12vrr_stack+3319, r12vrr_stack+562);
 tmp = r12vrr_stack + 2492;
 target_ptr = Libr12->t2vrr_classes[4][3];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_g0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3445, r12vrr_stack+2167, r12vrr_stack+4595, r12vrr_stack+4280, r12vrr_stack+3695, r12vrr_stack+1192);
 tmp = r12vrr_stack + 3445;
 target_ptr = Libr12->t2vrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|d0)^0 ---*/
 _T1_BUILD_f0d0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3106, r12vrr_stack+502, r12vrr_stack+562, r12vrr_stack+902, r12vrr_stack+842, r12vrr_stack+352);
 tmp = r12vrr_stack + 3106;
 target_ptr = Libr12->t1vrr_classes[3][2];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_f0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2642, r12vrr_stack+902, r12vrr_stack+1192, r12vrr_stack+1717, r12vrr_stack+1627, r12vrr_stack+842);
 tmp = r12vrr_stack + 2642;
 target_ptr = Libr12->t1vrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_f0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1867, r12vrr_stack+1717, r12vrr_stack+2167, r12vrr_stack+2896, r12vrr_stack+2770, r12vrr_stack+1627);
 tmp = r12vrr_stack + 1867;
 target_ptr = Libr12->t1vrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|d0)^0 ---*/
 _T1_BUILD_g0d0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2742, r12vrr_stack+562, r12vrr_stack+3319, r12vrr_stack+1192, r12vrr_stack+902, r12vrr_stack+502);
 tmp = r12vrr_stack + 2742;
 target_ptr = Libr12->t1vrr_classes[4][2];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_g0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2017, r12vrr_stack+1192, r12vrr_stack+3695, r12vrr_stack+2167, r12vrr_stack+1717, r12vrr_stack+902);
 tmp = r12vrr_stack + 2017;
 target_ptr = Libr12->t1vrr_classes[4][3];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_g0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3670, r12vrr_stack+2167, r12vrr_stack+4280, r12vrr_stack+4595, r12vrr_stack+2896, r12vrr_stack+1717);
 tmp = r12vrr_stack + 3670;
 target_ptr = Libr12->t1vrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||d0)^0 ---*/
 _R_BUILD_g0d0(Data,r12vrr_stack+3319, r12vrr_stack+3968, r12vrr_stack+3932, r12vrr_stack+562, r12vrr_stack+502, r12vrr_stack+352, r12vrr_stack+87);
 tmp = r12vrr_stack + 3319;
 target_ptr = Libr12->rvrr_classes[4][2];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||f0)^0 ---*/
 _R_BUILD_g0f0(Data,r12vrr_stack+4253, r12vrr_stack+742, r12vrr_stack+4058, r12vrr_stack+1192, r12vrr_stack+902, r12vrr_stack+842, r12vrr_stack+502);
 tmp = r12vrr_stack + 4253;
 target_ptr = Libr12->rvrr_classes[4][3];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||g0)^0 ---*/
 _R_BUILD_g0g0(Data,r12vrr_stack+4403, r12vrr_stack+1477, r12vrr_stack+4163, r12vrr_stack+2167, r12vrr_stack+1717, r12vrr_stack+1627, r12vrr_stack+902);
 tmp = r12vrr_stack + 4403;
 target_ptr = Libr12->rvrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];


}

