#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_fpfp(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^2 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+9, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+12, r12vrr_stack+3, r12vrr_stack+9, NULL, NULL, Data->F+3);

 /*--- compute (p0|p0)^1 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+3, NULL, NULL, Data->F+2);

 /*--- compute (d0|p0)^1 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+30, r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+48, r12vrr_stack+3, r12vrr_stack+9, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+54, r12vrr_stack+6, r12vrr_stack+3, Data->F+1, Data->F+2, NULL);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+60, r12vrr_stack+54, r12vrr_stack+48, NULL, NULL, r12vrr_stack+3);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+78, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+78, r12vrr_stack+6, Data->F+0, Data->F+1, NULL);

 /*--- compute (p0|d0)^0 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+87, r12vrr_stack+81, r12vrr_stack+54, NULL, NULL, r12vrr_stack+6);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+105, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+108, r12vrr_stack+9, r12vrr_stack+105, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+114, r12vrr_stack+48, r12vrr_stack+108, NULL, NULL, r12vrr_stack+9);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+132, r12vrr_stack+60, r12vrr_stack+114, r12vrr_stack+54, r12vrr_stack+48, r12vrr_stack+12);

 /*--- compute (d0|d0)^0 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+168, r12vrr_stack+87, r12vrr_stack+60, r12vrr_stack+81, r12vrr_stack+54, r12vrr_stack+21);

 /*--- compute (f0|d0)^0 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+204, r12vrr_stack+168, r12vrr_stack+132, r12vrr_stack+87, r12vrr_stack+60, r12vrr_stack+30);

 /*--- compute (p0|00)^3 ---*/
 _BUILD_p000(Data,r12vrr_stack+264, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (d0|00)^2 ---*/
 _BUILD_d000(Data,r12vrr_stack+267, r12vrr_stack+0, r12vrr_stack+264, Data->F+2, Data->F+3, NULL);

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+273, r12vrr_stack+9, r12vrr_stack+105, NULL, NULL, Data->F+4);

 /*--- compute (d0|p0)^2 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+282, r12vrr_stack+12, r12vrr_stack+273, r12vrr_stack+3, r12vrr_stack+9, r12vrr_stack+264);

 /*--- compute (f0|p0)^1 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+300, r12vrr_stack+30, r12vrr_stack+282, r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+267);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+24, r12vrr_stack+105, r12vrr_stack+21, Data->F+4, Data->F+5, NULL);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+330, r12vrr_stack+108, r12vrr_stack+24, NULL, NULL, r12vrr_stack+105);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+348, r12vrr_stack+114, r12vrr_stack+330, r12vrr_stack+48, r12vrr_stack+108, r12vrr_stack+273);

 /*--- compute (f0|d0)^1 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+384, r12vrr_stack+132, r12vrr_stack+348, r12vrr_stack+60, r12vrr_stack+114, r12vrr_stack+282);

 /*--- compute (g0|d0)^0 ---*/
 am[0] = 4;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+444, r12vrr_stack+204, r12vrr_stack+384, r12vrr_stack+168, r12vrr_stack+132, r12vrr_stack+300);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+534, r12vrr_stack+48, r12vrr_stack+108, r12vrr_stack+3, r12vrr_stack+9, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+544, r12vrr_stack+54, r12vrr_stack+48, r12vrr_stack+6, r12vrr_stack+3, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+554, r12vrr_stack+108, r12vrr_stack+24, r12vrr_stack+9, r12vrr_stack+105, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+564, r12vrr_stack+534, r12vrr_stack+554, NULL, NULL, r12vrr_stack+108);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+594, r12vrr_stack+544, r12vrr_stack+534, NULL, NULL, r12vrr_stack+48);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+624, r12vrr_stack+594, r12vrr_stack+564, r12vrr_stack+544, r12vrr_stack+534, r12vrr_stack+114);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+684, r12vrr_stack+81, r12vrr_stack+54, r12vrr_stack+78, r12vrr_stack+6, NULL);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+694, r12vrr_stack+684, r12vrr_stack+544, NULL, NULL, r12vrr_stack+54);

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+724, r12vrr_stack+694, r12vrr_stack+594, r12vrr_stack+684, r12vrr_stack+544, r12vrr_stack+60);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+60, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+3, r12vrr_stack+21, r12vrr_stack+60, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+63, r12vrr_stack+24, r12vrr_stack+3, r12vrr_stack+105, r12vrr_stack+21, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+784, r12vrr_stack+554, r12vrr_stack+63, NULL, NULL, r12vrr_stack+24);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+814, r12vrr_stack+564, r12vrr_stack+784, r12vrr_stack+534, r12vrr_stack+554, r12vrr_stack+330);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+874, r12vrr_stack+624, r12vrr_stack+814, r12vrr_stack+594, r12vrr_stack+564, r12vrr_stack+348);

 /*--- compute (f0|f0)^0 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+974, r12vrr_stack+724, r12vrr_stack+624, r12vrr_stack+694, r12vrr_stack+594, r12vrr_stack+132);
 tmp = r12vrr_stack + 974;
 target_ptr = Libr12->gvrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|f0)^0 ---*/
 am[0] = 4;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+1074, r12vrr_stack+974, r12vrr_stack+874, r12vrr_stack+724, r12vrr_stack+624, r12vrr_stack+384);
 tmp = r12vrr_stack + 1074;
 target_ptr = Libr12->gvrr_classes[4][3];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|g0)^2 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1224, r12vrr_stack+534, r12vrr_stack+554, r12vrr_stack+48, r12vrr_stack+108, NULL);

 /*--- compute (00|g0)^1 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1239, r12vrr_stack+544, r12vrr_stack+534, r12vrr_stack+54, r12vrr_stack+48, NULL);

 /*--- compute (p0|g0)^1 ---*/
 am[0] = 1;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1254, r12vrr_stack+1239, r12vrr_stack+1224, NULL, NULL, r12vrr_stack+534);

 /*--- compute (00|g0)^0 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1299, r12vrr_stack+684, r12vrr_stack+544, r12vrr_stack+81, r12vrr_stack+54, NULL);

 /*--- compute (p0|g0)^0 ---*/
 am[0] = 1;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1314, r12vrr_stack+1299, r12vrr_stack+1239, NULL, NULL, r12vrr_stack+544);

 /*--- compute (00|g0)^3 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1359, r12vrr_stack+554, r12vrr_stack+63, r12vrr_stack+108, r12vrr_stack+24, NULL);

 /*--- compute (p0|g0)^2 ---*/
 am[0] = 1;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1374, r12vrr_stack+1224, r12vrr_stack+1359, NULL, NULL, r12vrr_stack+554);

 /*--- compute (d0|g0)^1 ---*/
 am[0] = 2;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1419, r12vrr_stack+1254, r12vrr_stack+1374, r12vrr_stack+1239, r12vrr_stack+1224, r12vrr_stack+564);

 /*--- compute (d0|g0)^0 ---*/
 am[0] = 2;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1509, r12vrr_stack+1314, r12vrr_stack+1254, r12vrr_stack+1299, r12vrr_stack+1239, r12vrr_stack+594);

 /*--- compute (f0|g0)^0 ---*/
 am[0] = 3;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1599, r12vrr_stack+1509, r12vrr_stack+1419, r12vrr_stack+1314, r12vrr_stack+1254, r12vrr_stack+624);
 tmp = r12vrr_stack + 1599;
 target_ptr = Libr12->gvrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+594, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+597, r12vrr_stack+60, r12vrr_stack+594, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+603, r12vrr_stack+3, r12vrr_stack+597, r12vrr_stack+21, r12vrr_stack+60, NULL);

 /*--- compute (00|g0)^4 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1749, r12vrr_stack+63, r12vrr_stack+603, r12vrr_stack+24, r12vrr_stack+3, NULL);

 /*--- compute (p0|g0)^3 ---*/
 am[0] = 1;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1764, r12vrr_stack+1359, r12vrr_stack+1749, NULL, NULL, r12vrr_stack+63);

 /*--- compute (d0|g0)^2 ---*/
 am[0] = 2;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1809, r12vrr_stack+1374, r12vrr_stack+1764, r12vrr_stack+1224, r12vrr_stack+1359, r12vrr_stack+784);

 /*--- compute (f0|g0)^1 ---*/
 am[0] = 3;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1899, r12vrr_stack+1419, r12vrr_stack+1809, r12vrr_stack+1254, r12vrr_stack+1374, r12vrr_stack+814);

 /*--- compute (g0|g0)^0 ---*/
 am[0] = 4;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+2049, r12vrr_stack+1599, r12vrr_stack+1899, r12vrr_stack+1509, r12vrr_stack+1419, r12vrr_stack+874);
 tmp = r12vrr_stack + 2049;
 target_ptr = Libr12->gvrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2274, r12vrr_stack+1224, r12vrr_stack+1359, r12vrr_stack+534, r12vrr_stack+554, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2295, r12vrr_stack+1239, r12vrr_stack+1224, r12vrr_stack+544, r12vrr_stack+534, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2316, r12vrr_stack+2295, r12vrr_stack+2274, NULL, NULL, r12vrr_stack+1224);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2379, r12vrr_stack+1299, r12vrr_stack+1239, r12vrr_stack+684, r12vrr_stack+544, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2400, r12vrr_stack+2379, r12vrr_stack+2295, NULL, NULL, r12vrr_stack+1239);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1224, r12vrr_stack+1359, r12vrr_stack+1749, r12vrr_stack+554, r12vrr_stack+63, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2463, r12vrr_stack+2274, r12vrr_stack+1224, NULL, NULL, r12vrr_stack+1359);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2526, r12vrr_stack+2316, r12vrr_stack+2463, r12vrr_stack+2295, r12vrr_stack+2274, r12vrr_stack+1374);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2652, r12vrr_stack+2400, r12vrr_stack+2316, r12vrr_stack+2379, r12vrr_stack+2295, r12vrr_stack+1254);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2778, r12vrr_stack+2652, r12vrr_stack+2526, r12vrr_stack+2400, r12vrr_stack+2316, r12vrr_stack+1419);
 tmp = r12vrr_stack + 2778;
 target_ptr = Libr12->gvrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^4 ---*/
 _BUILD_p000(Data,r12vrr_stack+2295, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (d0|00)^3 ---*/
 _BUILD_d000(Data,r12vrr_stack+2298, r12vrr_stack+264, r12vrr_stack+2295, Data->F+3, Data->F+4, NULL);

 /*--- compute (f0|00)^2 ---*/
 _BUILD_f000(Data,r12vrr_stack+2304, r12vrr_stack+267, r12vrr_stack+2298, r12vrr_stack+0, r12vrr_stack+264, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+264, r12vrr_stack+105, r12vrr_stack+21, NULL, NULL, Data->F+5);

 /*--- compute (d0|p0)^3 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+2379, r12vrr_stack+273, r12vrr_stack+264, r12vrr_stack+9, r12vrr_stack+105, r12vrr_stack+2295);

 /*--- compute (f0|p0)^2 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+2397, r12vrr_stack+282, r12vrr_stack+2379, r12vrr_stack+12, r12vrr_stack+273, r12vrr_stack+2298);

 /*--- compute (g0|p0)^1 ---*/
 am[0] = 4;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+1245, r12vrr_stack+300, r12vrr_stack+2397, r12vrr_stack+30, r12vrr_stack+282, r12vrr_stack+2304);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+30, r12vrr_stack+24, r12vrr_stack+3, NULL, NULL, r12vrr_stack+21);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+2427, r12vrr_stack+330, r12vrr_stack+30, r12vrr_stack+108, r12vrr_stack+24, r12vrr_stack+264);

 /*--- compute (f0|d0)^2 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+264, r12vrr_stack+348, r12vrr_stack+2427, r12vrr_stack+114, r12vrr_stack+330, r12vrr_stack+2379);

 /*--- compute (g0|d0)^1 ---*/
 am[0] = 4;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+2988, r12vrr_stack+384, r12vrr_stack+264, r12vrr_stack+132, r12vrr_stack+348, r12vrr_stack+2397);

 /*--- compute (h0|d0)^0 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+3078, r12vrr_stack+444, r12vrr_stack+2988, r12vrr_stack+204, r12vrr_stack+384, r12vrr_stack+1245);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1245, r12vrr_stack+63, r12vrr_stack+603, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+324, r12vrr_stack+784, r12vrr_stack+1245, r12vrr_stack+554, r12vrr_stack+63, r12vrr_stack+30);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+3204, r12vrr_stack+814, r12vrr_stack+324, r12vrr_stack+564, r12vrr_stack+784, r12vrr_stack+2427);

 /*--- compute (g0|f0)^1 ---*/
 am[0] = 4;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+3304, r12vrr_stack+874, r12vrr_stack+3204, r12vrr_stack+624, r12vrr_stack+814, r12vrr_stack+264);

 /*--- compute (h0|f0)^0 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+3454, r12vrr_stack+1074, r12vrr_stack+3304, r12vrr_stack+974, r12vrr_stack+874, r12vrr_stack+2988);
 tmp = r12vrr_stack + 3454;
 target_ptr = Libr12->gvrr_classes[5][3];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+2988, r12vrr_stack+594, r12vrr_stack+0, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+2994, r12vrr_stack+597, r12vrr_stack+2988, r12vrr_stack+60, r12vrr_stack+594, NULL);

 /*--- compute (00|g0)^5 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+3004, r12vrr_stack+603, r12vrr_stack+2994, r12vrr_stack+3, r12vrr_stack+597, NULL);

 /*--- compute (p0|g0)^4 ---*/
 am[0] = 1;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+1749, r12vrr_stack+3004, NULL, NULL, r12vrr_stack+603);

 /*--- compute (d0|g0)^3 ---*/
 am[0] = 2;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+784, r12vrr_stack+1764, r12vrr_stack+0, r12vrr_stack+1359, r12vrr_stack+1749, r12vrr_stack+1245);

 /*--- compute (f0|g0)^2 ---*/
 am[0] = 3;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+3664, r12vrr_stack+1809, r12vrr_stack+784, r12vrr_stack+1374, r12vrr_stack+1764, r12vrr_stack+324);

 /*--- compute (g0|g0)^1 ---*/
 am[0] = 4;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+3814, r12vrr_stack+1899, r12vrr_stack+3664, r12vrr_stack+1419, r12vrr_stack+1809, r12vrr_stack+3204);

 /*--- compute (h0|g0)^0 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+4039, r12vrr_stack+2049, r12vrr_stack+3814, r12vrr_stack+1599, r12vrr_stack+1899, r12vrr_stack+3304);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2295, r12vrr_stack+1749, r12vrr_stack+3004, r12vrr_stack+63, r12vrr_stack+603, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+105, r12vrr_stack+1224, r12vrr_stack+2295, NULL, NULL, r12vrr_stack+1749);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3204, r12vrr_stack+2463, r12vrr_stack+105, r12vrr_stack+2274, r12vrr_stack+1224, r12vrr_stack+1764);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3664, r12vrr_stack+2526, r12vrr_stack+3204, r12vrr_stack+2316, r12vrr_stack+2463, r12vrr_stack+1809);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4354, r12vrr_stack+2778, r12vrr_stack+3664, r12vrr_stack+2652, r12vrr_stack+2526, r12vrr_stack+1899);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+3664, &(Data->ss_r12_ss), NULL, r12vrr_stack+78, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+3667, r12vrr_stack+3664, &(Data->ss_r12_ss), r12vrr_stack+81, r12vrr_stack+78, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+3673, r12vrr_stack+3667, r12vrr_stack+3664, r12vrr_stack+684, r12vrr_stack+81, r12vrr_stack+78, NULL);

 /*--- compute (p0||f0)^0 ---*/
 _R_BUILD_p0f0(Data,r12vrr_stack+3683, r12vrr_stack+3673, NULL, r12vrr_stack+694, r12vrr_stack+684, NULL, r12vrr_stack+81);

 /*--- compute (d0||f0)^0 ---*/
 _R_BUILD_d0f0(Data,r12vrr_stack+3713, r12vrr_stack+3683, r12vrr_stack+3673, r12vrr_stack+724, r12vrr_stack+694, r12vrr_stack+684, r12vrr_stack+87);

 /*--- compute (f0||f0)^0 ---*/
 _R_BUILD_f0f0(Data,r12vrr_stack+3773, r12vrr_stack+3713, r12vrr_stack+3683, r12vrr_stack+974, r12vrr_stack+724, r12vrr_stack+694, r12vrr_stack+168);
 tmp = r12vrr_stack + 3773;
 target_ptr = Libr12->rvrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+3683, r12vrr_stack+3673, r12vrr_stack+3667, r12vrr_stack+1299, r12vrr_stack+684, r12vrr_stack+81, NULL);

 /*--- compute (p0||g0)^0 ---*/
 _R_BUILD_p0g0(Data,r12vrr_stack+3873, r12vrr_stack+3683, NULL, r12vrr_stack+1314, r12vrr_stack+1299, NULL, r12vrr_stack+684);

 /*--- compute (d0||g0)^0 ---*/
 _R_BUILD_d0g0(Data,r12vrr_stack+2988, r12vrr_stack+3873, r12vrr_stack+3683, r12vrr_stack+1509, r12vrr_stack+1314, r12vrr_stack+1299, r12vrr_stack+694);

 /*--- compute (f0||g0)^0 ---*/
 _R_BUILD_f0g0(Data,r12vrr_stack+1359, r12vrr_stack+2988, r12vrr_stack+3873, r12vrr_stack+1599, r12vrr_stack+1509, r12vrr_stack+1314, r12vrr_stack+724);
 tmp = r12vrr_stack + 1359;
 target_ptr = Libr12->rvrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_f0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3873, r12vrr_stack+974, r12vrr_stack+1599, r12vrr_stack+1074, r12vrr_stack+444, r12vrr_stack+204);
 tmp = r12vrr_stack + 3873;
 target_ptr = Libr12->t2vrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_f0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3204, r12vrr_stack+1599, r12vrr_stack+2778, r12vrr_stack+2049, r12vrr_stack+1074, r12vrr_stack+974);
 tmp = r12vrr_stack + 3204;
 target_ptr = Libr12->t2vrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_g0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2274, r12vrr_stack+1074, r12vrr_stack+2049, r12vrr_stack+3454, r12vrr_stack+3078, r12vrr_stack+444);
 tmp = r12vrr_stack + 2274;
 target_ptr = Libr12->t2vrr_classes[4][3];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_g0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2424, r12vrr_stack+2049, r12vrr_stack+4354, r12vrr_stack+4039, r12vrr_stack+3454, r12vrr_stack+1074);
 tmp = r12vrr_stack + 2424;
 target_ptr = Libr12->t2vrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_f0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3354, r12vrr_stack+974, r12vrr_stack+1074, r12vrr_stack+1599, r12vrr_stack+1509, r12vrr_stack+724);
 tmp = r12vrr_stack + 3354;
 target_ptr = Libr12->t1vrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_f0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1749, r12vrr_stack+1599, r12vrr_stack+2049, r12vrr_stack+2778, r12vrr_stack+2652, r12vrr_stack+1509);
 tmp = r12vrr_stack + 1749;
 target_ptr = Libr12->t1vrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_g0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1899, r12vrr_stack+1074, r12vrr_stack+3454, r12vrr_stack+2049, r12vrr_stack+1599, r12vrr_stack+974);
 tmp = r12vrr_stack + 1899;
 target_ptr = Libr12->t1vrr_classes[4][3];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_g0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3454, r12vrr_stack+2049, r12vrr_stack+4039, r12vrr_stack+4354, r12vrr_stack+2778, r12vrr_stack+1599);
 tmp = r12vrr_stack + 3454;
 target_ptr = Libr12->t1vrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||f0)^0 ---*/
 _R_BUILD_g0f0(Data,r12vrr_stack+3973, r12vrr_stack+3773, r12vrr_stack+3713, r12vrr_stack+1074, r12vrr_stack+974, r12vrr_stack+724, r12vrr_stack+204);
 tmp = r12vrr_stack + 3973;
 target_ptr = Libr12->rvrr_classes[4][3];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||g0)^0 ---*/
 _R_BUILD_g0g0(Data,r12vrr_stack+1074, r12vrr_stack+1359, r12vrr_stack+2988, r12vrr_stack+2049, r12vrr_stack+1599, r12vrr_stack+1509, r12vrr_stack+974);
 tmp = r12vrr_stack + 1074;
 target_ptr = Libr12->rvrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];


}

