#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_ppd0(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (p0|p0)^0 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, NULL, NULL, Data->F+1);

 /*--- compute (p0|00)^1 ---*/
 _BUILD_p000(Data,r12vrr_stack+15, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+18, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (p0|p0)^1 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+21, r12vrr_stack+0, r12vrr_stack+18, NULL, NULL, Data->F+2);

 /*--- compute (d0|p0)^0 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+30, r12vrr_stack+6, r12vrr_stack+21, r12vrr_stack+3, r12vrr_stack+0, r12vrr_stack+15);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+48, r12vrr_stack+0, r12vrr_stack+18, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+54, r12vrr_stack+3, r12vrr_stack+0, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+60, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+63, r12vrr_stack+18, r12vrr_stack+60, Data->F+2, Data->F+3, NULL);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+69, r12vrr_stack+48, r12vrr_stack+63, NULL, NULL, r12vrr_stack+18);

 /*--- compute (p0|d0)^0 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+87, r12vrr_stack+54, r12vrr_stack+48, NULL, NULL, r12vrr_stack+0);
 tmp = r12vrr_stack + 87;
 target_ptr = Libr12->gvrr_classes[1][2];
 for(i=0;i<18;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|d0)^0 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+105, r12vrr_stack+87, r12vrr_stack+69, r12vrr_stack+54, r12vrr_stack+48, r12vrr_stack+21);
 tmp = r12vrr_stack + 105;
 target_ptr = Libr12->gvrr_classes[2][2];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+141, r12vrr_stack+48, r12vrr_stack+63, r12vrr_stack+0, r12vrr_stack+18, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+151, r12vrr_stack+54, r12vrr_stack+48, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+161, r12vrr_stack+151, r12vrr_stack+141, NULL, NULL, r12vrr_stack+48);
 tmp = r12vrr_stack + 161;
 target_ptr = Libr12->gvrr_classes[1][3];
 for(i=0;i<30;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^2 ---*/
 _BUILD_p000(Data,r12vrr_stack+191, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (d0|00)^1 ---*/
 _BUILD_d000(Data,r12vrr_stack+194, r12vrr_stack+15, r12vrr_stack+191, Data->F+1, Data->F+2, NULL);

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+200, r12vrr_stack+18, r12vrr_stack+60, NULL, NULL, Data->F+3);

 /*--- compute (d0|p0)^1 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+209, r12vrr_stack+21, r12vrr_stack+200, r12vrr_stack+0, r12vrr_stack+18, r12vrr_stack+191);

 /*--- compute (f0|p0)^0 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+227, r12vrr_stack+30, r12vrr_stack+209, r12vrr_stack+6, r12vrr_stack+21, r12vrr_stack+194);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+21, r12vrr_stack+60, r12vrr_stack+0, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+257, r12vrr_stack+63, r12vrr_stack+21, NULL, NULL, r12vrr_stack+60);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+275, r12vrr_stack+69, r12vrr_stack+257, r12vrr_stack+48, r12vrr_stack+63, r12vrr_stack+200);

 /*--- compute (f0|d0)^0 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+311, r12vrr_stack+105, r12vrr_stack+275, r12vrr_stack+87, r12vrr_stack+69, r12vrr_stack+209);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+257, r12vrr_stack+63, r12vrr_stack+21, r12vrr_stack+18, r12vrr_stack+60, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+267, r12vrr_stack+141, r12vrr_stack+257, NULL, NULL, r12vrr_stack+63);

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+371, r12vrr_stack+161, r12vrr_stack+267, r12vrr_stack+151, r12vrr_stack+141, r12vrr_stack+69);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+0, &(Data->ss_r12_ss), NULL, r12vrr_stack+3, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+48, r12vrr_stack+0, &(Data->ss_r12_ss), r12vrr_stack+54, r12vrr_stack+3, Data->F+0, NULL);

 /*--- compute (p0||d0)^0 ---*/
 _R_BUILD_p0d0(Data,r12vrr_stack+257, r12vrr_stack+48, NULL, r12vrr_stack+87, r12vrr_stack+54, NULL, r12vrr_stack+3);
 tmp = r12vrr_stack + 257;
 target_ptr = Libr12->rvrr_classes[1][2];
 for(i=0;i<18;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|d0)^0 ---*/
 _T2_BUILD_p0d0(Data,&(Libr12->ShellQuartet),r12vrr_stack+275, r12vrr_stack+87, r12vrr_stack+161, r12vrr_stack+105, r12vrr_stack+30, r12vrr_stack+6);
 tmp = r12vrr_stack + 275;
 target_ptr = Libr12->t2vrr_classes[1][2];
 for(i=0;i<18;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|d0)^0 ---*/
 _T2_BUILD_d0d0(Data,&(Libr12->ShellQuartet),r12vrr_stack+191, r12vrr_stack+105, r12vrr_stack+371, r12vrr_stack+311, r12vrr_stack+227, r12vrr_stack+30);
 tmp = r12vrr_stack + 191;
 target_ptr = Libr12->t2vrr_classes[2][2];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|d0)^0 ---*/
 _T1_BUILD_p0d0(Data,&(Libr12->ShellQuartet),r12vrr_stack+293, r12vrr_stack+87, r12vrr_stack+105, r12vrr_stack+161, r12vrr_stack+151, r12vrr_stack+54);
 tmp = r12vrr_stack + 293;
 target_ptr = Libr12->t1vrr_classes[1][2];
 for(i=0;i<18;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|d0)^0 ---*/
 _T1_BUILD_d0d0(Data,&(Libr12->ShellQuartet),r12vrr_stack+431, r12vrr_stack+105, r12vrr_stack+311, r12vrr_stack+371, r12vrr_stack+161, r12vrr_stack+87);
 tmp = r12vrr_stack + 431;
 target_ptr = Libr12->t1vrr_classes[2][2];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||d0)^0 ---*/
 _R_BUILD_d0d0(Data,r12vrr_stack+311, r12vrr_stack+257, r12vrr_stack+48, r12vrr_stack+105, r12vrr_stack+87, r12vrr_stack+54, r12vrr_stack+6);
 tmp = r12vrr_stack + 311;
 target_ptr = Libr12->rvrr_classes[2][2];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];


}

