#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_ppdd(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (p0|p0)^0 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, NULL, NULL, Data->F+1);

 /*--- compute (p0|00)^1 ---*/
 _BUILD_p000(Data,r12vrr_stack+15, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+18, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (p0|p0)^1 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+21, r12vrr_stack+0, r12vrr_stack+18, NULL, NULL, Data->F+2);

 /*--- compute (d0|p0)^0 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+30, r12vrr_stack+6, r12vrr_stack+21, r12vrr_stack+3, r12vrr_stack+0, r12vrr_stack+15);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+48, r12vrr_stack+0, r12vrr_stack+18, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+54, r12vrr_stack+3, r12vrr_stack+0, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+60, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+63, r12vrr_stack+18, r12vrr_stack+60, Data->F+2, Data->F+3, NULL);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+69, r12vrr_stack+48, r12vrr_stack+63, NULL, NULL, r12vrr_stack+18);

 /*--- compute (p0|d0)^0 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+87, r12vrr_stack+54, r12vrr_stack+48, NULL, NULL, r12vrr_stack+0);
 tmp = r12vrr_stack + 87;
 target_ptr = Libr12->gvrr_classes[1][2];
 for(i=0;i<18;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|d0)^0 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+105, r12vrr_stack+87, r12vrr_stack+69, r12vrr_stack+54, r12vrr_stack+48, r12vrr_stack+21);
 tmp = r12vrr_stack + 105;
 target_ptr = Libr12->gvrr_classes[2][2];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+141, r12vrr_stack+48, r12vrr_stack+63, r12vrr_stack+0, r12vrr_stack+18, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+151, r12vrr_stack+54, r12vrr_stack+48, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+161, r12vrr_stack+151, r12vrr_stack+141, NULL, NULL, r12vrr_stack+48);
 tmp = r12vrr_stack + 161;
 target_ptr = Libr12->gvrr_classes[1][3];
 for(i=0;i<30;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+191, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+194, r12vrr_stack+60, r12vrr_stack+191, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+200, r12vrr_stack+63, r12vrr_stack+194, r12vrr_stack+18, r12vrr_stack+60, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+210, r12vrr_stack+141, r12vrr_stack+200, NULL, NULL, r12vrr_stack+63);

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+240, r12vrr_stack+161, r12vrr_stack+210, r12vrr_stack+151, r12vrr_stack+141, r12vrr_stack+69);
 tmp = r12vrr_stack + 240;
 target_ptr = Libr12->gvrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|g0)^1 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+300, r12vrr_stack+141, r12vrr_stack+200, r12vrr_stack+48, r12vrr_stack+63, NULL);

 /*--- compute (00|g0)^0 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+315, r12vrr_stack+151, r12vrr_stack+141, r12vrr_stack+54, r12vrr_stack+48, NULL);

 /*--- compute (p0|g0)^0 ---*/
 am[0] = 1;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+330, r12vrr_stack+315, r12vrr_stack+300, NULL, NULL, r12vrr_stack+141);
 tmp = r12vrr_stack + 330;
 target_ptr = Libr12->gvrr_classes[1][4];
 for(i=0;i<45;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+375, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+378, r12vrr_stack+191, r12vrr_stack+375, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+384, r12vrr_stack+194, r12vrr_stack+378, r12vrr_stack+60, r12vrr_stack+191, NULL);

 /*--- compute (00|g0)^2 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+394, r12vrr_stack+200, r12vrr_stack+384, r12vrr_stack+63, r12vrr_stack+194, NULL);

 /*--- compute (p0|g0)^1 ---*/
 am[0] = 1;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+409, r12vrr_stack+300, r12vrr_stack+394, NULL, NULL, r12vrr_stack+200);

 /*--- compute (d0|g0)^0 ---*/
 am[0] = 2;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+454, r12vrr_stack+330, r12vrr_stack+409, r12vrr_stack+315, r12vrr_stack+300, r12vrr_stack+210);
 tmp = r12vrr_stack + 454;
 target_ptr = Libr12->gvrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+544, r12vrr_stack+300, r12vrr_stack+394, r12vrr_stack+141, r12vrr_stack+200, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+565, r12vrr_stack+315, r12vrr_stack+300, r12vrr_stack+151, r12vrr_stack+141, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+586, r12vrr_stack+565, r12vrr_stack+544, NULL, NULL, r12vrr_stack+300);
 tmp = r12vrr_stack + 586;
 target_ptr = Libr12->gvrr_classes[1][5];
 for(i=0;i<63;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^2 ---*/
 _BUILD_p000(Data,r12vrr_stack+649, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (d0|00)^1 ---*/
 _BUILD_d000(Data,r12vrr_stack+652, r12vrr_stack+15, r12vrr_stack+649, Data->F+1, Data->F+2, NULL);

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+658, r12vrr_stack+18, r12vrr_stack+60, NULL, NULL, Data->F+3);

 /*--- compute (d0|p0)^1 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+667, r12vrr_stack+21, r12vrr_stack+658, r12vrr_stack+0, r12vrr_stack+18, r12vrr_stack+649);

 /*--- compute (f0|p0)^0 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+685, r12vrr_stack+30, r12vrr_stack+667, r12vrr_stack+6, r12vrr_stack+21, r12vrr_stack+652);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+715, r12vrr_stack+63, r12vrr_stack+194, NULL, NULL, r12vrr_stack+60);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+733, r12vrr_stack+69, r12vrr_stack+715, r12vrr_stack+48, r12vrr_stack+63, r12vrr_stack+658);

 /*--- compute (f0|d0)^0 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+769, r12vrr_stack+105, r12vrr_stack+733, r12vrr_stack+87, r12vrr_stack+69, r12vrr_stack+667);
 tmp = r12vrr_stack + 769;
 target_ptr = Libr12->gvrr_classes[3][2];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+649, r12vrr_stack+200, r12vrr_stack+384, NULL, NULL, r12vrr_stack+194);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+829, r12vrr_stack+210, r12vrr_stack+649, r12vrr_stack+141, r12vrr_stack+200, r12vrr_stack+715);

 /*--- compute (f0|f0)^0 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+889, r12vrr_stack+240, r12vrr_stack+829, r12vrr_stack+161, r12vrr_stack+210, r12vrr_stack+733);
 tmp = r12vrr_stack + 889;
 target_ptr = Libr12->gvrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+48, r12vrr_stack+375, r12vrr_stack+0, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+141, r12vrr_stack+378, r12vrr_stack+48, r12vrr_stack+191, r12vrr_stack+375, NULL);

 /*--- compute (00|g0)^3 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+15, r12vrr_stack+384, r12vrr_stack+141, r12vrr_stack+194, r12vrr_stack+378, NULL);

 /*--- compute (p0|g0)^2 ---*/
 am[0] = 1;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+715, r12vrr_stack+394, r12vrr_stack+15, NULL, NULL, r12vrr_stack+384);

 /*--- compute (d0|g0)^1 ---*/
 am[0] = 2;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+989, r12vrr_stack+409, r12vrr_stack+715, r12vrr_stack+300, r12vrr_stack+394, r12vrr_stack+649);

 /*--- compute (f0|g0)^0 ---*/
 am[0] = 3;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1079, r12vrr_stack+454, r12vrr_stack+989, r12vrr_stack+330, r12vrr_stack+409, r12vrr_stack+829);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+829, r12vrr_stack+394, r12vrr_stack+15, r12vrr_stack+200, r12vrr_stack+384, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+989, r12vrr_stack+544, r12vrr_stack+829, NULL, NULL, r12vrr_stack+394);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1229, r12vrr_stack+586, r12vrr_stack+989, r12vrr_stack+565, r12vrr_stack+544, r12vrr_stack+409);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+0, &(Data->ss_r12_ss), NULL, r12vrr_stack+3, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+48, r12vrr_stack+0, &(Data->ss_r12_ss), r12vrr_stack+54, r12vrr_stack+3, Data->F+0, NULL);

 /*--- compute (p0||d0)^0 ---*/
 _R_BUILD_p0d0(Data,r12vrr_stack+544, r12vrr_stack+48, NULL, r12vrr_stack+87, r12vrr_stack+54, NULL, r12vrr_stack+3);
 tmp = r12vrr_stack + 544;
 target_ptr = Libr12->rvrr_classes[1][2];
 for(i=0;i<18;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+141, r12vrr_stack+48, r12vrr_stack+0, r12vrr_stack+151, r12vrr_stack+54, r12vrr_stack+3, NULL);

 /*--- compute (p0||f0)^0 ---*/
 _R_BUILD_p0f0(Data,r12vrr_stack+989, r12vrr_stack+141, NULL, r12vrr_stack+161, r12vrr_stack+151, NULL, r12vrr_stack+54);
 tmp = r12vrr_stack + 989;
 target_ptr = Libr12->rvrr_classes[1][3];
 for(i=0;i<30;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+15, r12vrr_stack+141, r12vrr_stack+48, r12vrr_stack+315, r12vrr_stack+151, r12vrr_stack+54, NULL);

 /*--- compute (p0||g0)^0 ---*/
 _R_BUILD_p0g0(Data,r12vrr_stack+1019, r12vrr_stack+15, NULL, r12vrr_stack+330, r12vrr_stack+315, NULL, r12vrr_stack+151);
 tmp = r12vrr_stack + 1019;
 target_ptr = Libr12->rvrr_classes[1][4];
 for(i=0;i<45;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|d0)^0 ---*/
 _T2_BUILD_p0d0(Data,&(Libr12->ShellQuartet),r12vrr_stack+829, r12vrr_stack+87, r12vrr_stack+161, r12vrr_stack+105, r12vrr_stack+30, r12vrr_stack+6);
 tmp = r12vrr_stack + 829;
 target_ptr = Libr12->t2vrr_classes[1][2];
 for(i=0;i<18;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_p0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+847, r12vrr_stack+161, r12vrr_stack+330, r12vrr_stack+240, r12vrr_stack+105, r12vrr_stack+87);
 tmp = r12vrr_stack + 847;
 target_ptr = Libr12->t2vrr_classes[1][3];
 for(i=0;i<30;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_p0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+715, r12vrr_stack+330, r12vrr_stack+586, r12vrr_stack+454, r12vrr_stack+240, r12vrr_stack+161);
 tmp = r12vrr_stack + 715;
 target_ptr = Libr12->t2vrr_classes[1][4];
 for(i=0;i<45;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|d0)^0 ---*/
 _T2_BUILD_d0d0(Data,&(Libr12->ShellQuartet),r12vrr_stack+649, r12vrr_stack+105, r12vrr_stack+240, r12vrr_stack+769, r12vrr_stack+685, r12vrr_stack+30);
 tmp = r12vrr_stack + 649;
 target_ptr = Libr12->t2vrr_classes[2][2];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_d0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+375, r12vrr_stack+240, r12vrr_stack+454, r12vrr_stack+889, r12vrr_stack+769, r12vrr_stack+105);
 tmp = r12vrr_stack + 375;
 target_ptr = Libr12->t2vrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_d0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1355, r12vrr_stack+454, r12vrr_stack+1229, r12vrr_stack+1079, r12vrr_stack+889, r12vrr_stack+240);
 tmp = r12vrr_stack + 1355;
 target_ptr = Libr12->t2vrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|d0)^0 ---*/
 _T1_BUILD_p0d0(Data,&(Libr12->ShellQuartet),r12vrr_stack+30, r12vrr_stack+87, r12vrr_stack+105, r12vrr_stack+161, r12vrr_stack+151, r12vrr_stack+54);
 tmp = r12vrr_stack + 30;
 target_ptr = Libr12->t1vrr_classes[1][2];
 for(i=0;i<18;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_p0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+685, r12vrr_stack+161, r12vrr_stack+240, r12vrr_stack+330, r12vrr_stack+315, r12vrr_stack+151);
 tmp = r12vrr_stack + 685;
 target_ptr = Libr12->t1vrr_classes[1][3];
 for(i=0;i<30;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_p0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+191, r12vrr_stack+330, r12vrr_stack+454, r12vrr_stack+586, r12vrr_stack+565, r12vrr_stack+315);
 tmp = r12vrr_stack + 191;
 target_ptr = Libr12->t1vrr_classes[1][4];
 for(i=0;i<45;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|d0)^0 ---*/
 _T1_BUILD_d0d0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1445, r12vrr_stack+105, r12vrr_stack+769, r12vrr_stack+240, r12vrr_stack+161, r12vrr_stack+87);
 tmp = r12vrr_stack + 1445;
 target_ptr = Libr12->t1vrr_classes[2][2];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_d0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+760, r12vrr_stack+240, r12vrr_stack+889, r12vrr_stack+454, r12vrr_stack+330, r12vrr_stack+161);
 tmp = r12vrr_stack + 760;
 target_ptr = Libr12->t1vrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_d0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+877, r12vrr_stack+454, r12vrr_stack+1079, r12vrr_stack+1229, r12vrr_stack+586, r12vrr_stack+330);
 tmp = r12vrr_stack + 877;
 target_ptr = Libr12->t1vrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||d0)^0 ---*/
 _R_BUILD_d0d0(Data,r12vrr_stack+562, r12vrr_stack+544, r12vrr_stack+48, r12vrr_stack+105, r12vrr_stack+87, r12vrr_stack+54, r12vrr_stack+6);
 tmp = r12vrr_stack + 562;
 target_ptr = Libr12->rvrr_classes[2][2];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||f0)^0 ---*/
 _R_BUILD_d0f0(Data,r12vrr_stack+1064, r12vrr_stack+989, r12vrr_stack+141, r12vrr_stack+240, r12vrr_stack+161, r12vrr_stack+151, r12vrr_stack+87);
 tmp = r12vrr_stack + 1064;
 target_ptr = Libr12->rvrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||g0)^0 ---*/
 _R_BUILD_d0g0(Data,r12vrr_stack+48, r12vrr_stack+1019, r12vrr_stack+15, r12vrr_stack+454, r12vrr_stack+330, r12vrr_stack+315, r12vrr_stack+161);
 tmp = r12vrr_stack + 48;
 target_ptr = Libr12->rvrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];


}

