#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_ppf0(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+0, r12vrr_stack+3, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+0, Data->F+0, Data->F+1, NULL);

 /*--- compute (p0|d0)^0 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+6, NULL, NULL, r12vrr_stack+0);

 /*--- compute (p0|p0)^1 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+39, r12vrr_stack+0, r12vrr_stack+3, NULL, NULL, Data->F+2);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+48, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+51, r12vrr_stack+3, r12vrr_stack+48, Data->F+2, Data->F+3, NULL);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+57, r12vrr_stack+6, r12vrr_stack+51, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^0 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+75, r12vrr_stack+21, r12vrr_stack+57, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+39);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+111, r12vrr_stack+6, r12vrr_stack+51, r12vrr_stack+0, r12vrr_stack+3, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+121, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+12, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+131, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+134, r12vrr_stack+48, r12vrr_stack+131, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+140, r12vrr_stack+51, r12vrr_stack+134, r12vrr_stack+3, r12vrr_stack+48, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+150, r12vrr_stack+111, r12vrr_stack+140, NULL, NULL, r12vrr_stack+51);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+180, r12vrr_stack+121, r12vrr_stack+111, NULL, NULL, r12vrr_stack+6);
 tmp = r12vrr_stack + 180;
 target_ptr = Libr12->gvrr_classes[1][3];
 for(i=0;i<30;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+210, r12vrr_stack+180, r12vrr_stack+150, r12vrr_stack+121, r12vrr_stack+111, r12vrr_stack+57);
 tmp = r12vrr_stack + 210;
 target_ptr = Libr12->gvrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|g0)^1 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+270, r12vrr_stack+111, r12vrr_stack+140, r12vrr_stack+6, r12vrr_stack+51, NULL);

 /*--- compute (00|g0)^0 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+285, r12vrr_stack+121, r12vrr_stack+111, r12vrr_stack+15, r12vrr_stack+6, NULL);

 /*--- compute (p0|g0)^0 ---*/
 am[0] = 1;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+300, r12vrr_stack+285, r12vrr_stack+270, NULL, NULL, r12vrr_stack+111);
 tmp = r12vrr_stack + 300;
 target_ptr = Libr12->gvrr_classes[1][4];
 for(i=0;i<45;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^2 ---*/
 _BUILD_p000(Data,r12vrr_stack+345, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+348, r12vrr_stack+3, r12vrr_stack+48, NULL, NULL, Data->F+3);

 /*--- compute (d0|p0)^1 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+357, r12vrr_stack+39, r12vrr_stack+348, r12vrr_stack+0, r12vrr_stack+3, r12vrr_stack+345);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+375, r12vrr_stack+51, r12vrr_stack+134, NULL, NULL, r12vrr_stack+48);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+393, r12vrr_stack+57, r12vrr_stack+375, r12vrr_stack+6, r12vrr_stack+51, r12vrr_stack+348);

 /*--- compute (f0|d0)^0 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+429, r12vrr_stack+75, r12vrr_stack+393, r12vrr_stack+21, r12vrr_stack+57, r12vrr_stack+357);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+57, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+60, r12vrr_stack+131, r12vrr_stack+57, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+345, r12vrr_stack+134, r12vrr_stack+60, r12vrr_stack+48, r12vrr_stack+131, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+489, r12vrr_stack+140, r12vrr_stack+345, NULL, NULL, r12vrr_stack+134);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+519, r12vrr_stack+150, r12vrr_stack+489, r12vrr_stack+111, r12vrr_stack+140, r12vrr_stack+375);

 /*--- compute (f0|f0)^0 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+579, r12vrr_stack+210, r12vrr_stack+519, r12vrr_stack+180, r12vrr_stack+150, r12vrr_stack+393);

 /*--- compute (00|g0)^2 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+489, r12vrr_stack+140, r12vrr_stack+345, r12vrr_stack+51, r12vrr_stack+134, NULL);

 /*--- compute (p0|g0)^1 ---*/
 am[0] = 1;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+345, r12vrr_stack+270, r12vrr_stack+489, NULL, NULL, r12vrr_stack+140);

 /*--- compute (d0|g0)^0 ---*/
 am[0] = 2;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+489, r12vrr_stack+300, r12vrr_stack+345, r12vrr_stack+285, r12vrr_stack+270, r12vrr_stack+150);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+270, &(Data->ss_r12_ss), NULL, r12vrr_stack+12, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+273, r12vrr_stack+270, &(Data->ss_r12_ss), r12vrr_stack+15, r12vrr_stack+12, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+111, r12vrr_stack+273, r12vrr_stack+270, r12vrr_stack+121, r12vrr_stack+15, r12vrr_stack+12, NULL);

 /*--- compute (p0||f0)^0 ---*/
 _R_BUILD_p0f0(Data,r12vrr_stack+345, r12vrr_stack+111, NULL, r12vrr_stack+180, r12vrr_stack+121, NULL, r12vrr_stack+15);
 tmp = r12vrr_stack + 345;
 target_ptr = Libr12->rvrr_classes[1][3];
 for(i=0;i<30;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_p0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+375, r12vrr_stack+180, r12vrr_stack+300, r12vrr_stack+210, r12vrr_stack+75, r12vrr_stack+21);
 tmp = r12vrr_stack + 375;
 target_ptr = Libr12->t2vrr_classes[1][3];
 for(i=0;i<30;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_d0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+679, r12vrr_stack+210, r12vrr_stack+489, r12vrr_stack+579, r12vrr_stack+429, r12vrr_stack+75);
 tmp = r12vrr_stack + 679;
 target_ptr = Libr12->t2vrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_p0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+405, r12vrr_stack+180, r12vrr_stack+210, r12vrr_stack+300, r12vrr_stack+285, r12vrr_stack+121);
 tmp = r12vrr_stack + 405;
 target_ptr = Libr12->t1vrr_classes[1][3];
 for(i=0;i<30;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_d0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+39, r12vrr_stack+210, r12vrr_stack+579, r12vrr_stack+489, r12vrr_stack+300, r12vrr_stack+180);
 tmp = r12vrr_stack + 39;
 target_ptr = Libr12->t1vrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||f0)^0 ---*/
 _R_BUILD_d0f0(Data,r12vrr_stack+270, r12vrr_stack+345, r12vrr_stack+111, r12vrr_stack+210, r12vrr_stack+180, r12vrr_stack+121, r12vrr_stack+21);
 tmp = r12vrr_stack + 270;
 target_ptr = Libr12->rvrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];


}

