#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_ppff(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+0, r12vrr_stack+3, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+0, Data->F+0, Data->F+1, NULL);

 /*--- compute (p0|d0)^0 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+6, NULL, NULL, r12vrr_stack+0);

 /*--- compute (p0|p0)^1 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+39, r12vrr_stack+0, r12vrr_stack+3, NULL, NULL, Data->F+2);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+48, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+51, r12vrr_stack+3, r12vrr_stack+48, Data->F+2, Data->F+3, NULL);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+57, r12vrr_stack+6, r12vrr_stack+51, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^0 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+75, r12vrr_stack+21, r12vrr_stack+57, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+39);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+111, r12vrr_stack+6, r12vrr_stack+51, r12vrr_stack+0, r12vrr_stack+3, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+121, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+12, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+131, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+134, r12vrr_stack+48, r12vrr_stack+131, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+140, r12vrr_stack+51, r12vrr_stack+134, r12vrr_stack+3, r12vrr_stack+48, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+150, r12vrr_stack+111, r12vrr_stack+140, NULL, NULL, r12vrr_stack+51);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+180, r12vrr_stack+121, r12vrr_stack+111, NULL, NULL, r12vrr_stack+6);
 tmp = r12vrr_stack + 180;
 target_ptr = Libr12->gvrr_classes[1][3];
 for(i=0;i<30;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+210, r12vrr_stack+180, r12vrr_stack+150, r12vrr_stack+121, r12vrr_stack+111, r12vrr_stack+57);
 tmp = r12vrr_stack + 210;
 target_ptr = Libr12->gvrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|g0)^1 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+270, r12vrr_stack+111, r12vrr_stack+140, r12vrr_stack+6, r12vrr_stack+51, NULL);

 /*--- compute (00|g0)^0 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+285, r12vrr_stack+121, r12vrr_stack+111, r12vrr_stack+15, r12vrr_stack+6, NULL);

 /*--- compute (p0|g0)^0 ---*/
 am[0] = 1;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+300, r12vrr_stack+285, r12vrr_stack+270, NULL, NULL, r12vrr_stack+111);
 tmp = r12vrr_stack + 300;
 target_ptr = Libr12->gvrr_classes[1][4];
 for(i=0;i<45;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+345, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+348, r12vrr_stack+131, r12vrr_stack+345, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+354, r12vrr_stack+134, r12vrr_stack+348, r12vrr_stack+48, r12vrr_stack+131, NULL);

 /*--- compute (00|g0)^2 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+364, r12vrr_stack+140, r12vrr_stack+354, r12vrr_stack+51, r12vrr_stack+134, NULL);

 /*--- compute (p0|g0)^1 ---*/
 am[0] = 1;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+379, r12vrr_stack+270, r12vrr_stack+364, NULL, NULL, r12vrr_stack+140);

 /*--- compute (d0|g0)^0 ---*/
 am[0] = 2;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+424, r12vrr_stack+300, r12vrr_stack+379, r12vrr_stack+285, r12vrr_stack+270, r12vrr_stack+150);
 tmp = r12vrr_stack + 424;
 target_ptr = Libr12->gvrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+514, r12vrr_stack+270, r12vrr_stack+364, r12vrr_stack+111, r12vrr_stack+140, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+535, r12vrr_stack+285, r12vrr_stack+270, r12vrr_stack+121, r12vrr_stack+111, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+556, r12vrr_stack+535, r12vrr_stack+514, NULL, NULL, r12vrr_stack+270);
 tmp = r12vrr_stack + 556;
 target_ptr = Libr12->gvrr_classes[1][5];
 for(i=0;i<63;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+619, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+622, r12vrr_stack+345, r12vrr_stack+619, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+628, r12vrr_stack+348, r12vrr_stack+622, r12vrr_stack+131, r12vrr_stack+345, NULL);

 /*--- compute (00|g0)^3 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+638, r12vrr_stack+354, r12vrr_stack+628, r12vrr_stack+134, r12vrr_stack+348, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+653, r12vrr_stack+364, r12vrr_stack+638, r12vrr_stack+140, r12vrr_stack+354, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+674, r12vrr_stack+514, r12vrr_stack+653, NULL, NULL, r12vrr_stack+364);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+737, r12vrr_stack+556, r12vrr_stack+674, r12vrr_stack+535, r12vrr_stack+514, r12vrr_stack+379);
 tmp = r12vrr_stack + 737;
 target_ptr = Libr12->gvrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+863, r12vrr_stack+514, r12vrr_stack+653, r12vrr_stack+270, r12vrr_stack+364, NULL);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+891, r12vrr_stack+535, r12vrr_stack+514, r12vrr_stack+285, r12vrr_stack+270, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+919, r12vrr_stack+891, r12vrr_stack+863, NULL, NULL, r12vrr_stack+514);
 tmp = r12vrr_stack + 919;
 target_ptr = Libr12->gvrr_classes[1][6];
 for(i=0;i<84;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+131, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1003, r12vrr_stack+619, r12vrr_stack+131, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1009, r12vrr_stack+622, r12vrr_stack+1003, r12vrr_stack+345, r12vrr_stack+619, NULL);

 /*--- compute (00|g0)^4 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1019, r12vrr_stack+628, r12vrr_stack+1009, r12vrr_stack+348, r12vrr_stack+622, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1034, r12vrr_stack+638, r12vrr_stack+1019, r12vrr_stack+354, r12vrr_stack+628, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1055, r12vrr_stack+653, r12vrr_stack+1034, r12vrr_stack+364, r12vrr_stack+638, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1083, r12vrr_stack+863, r12vrr_stack+1055, NULL, NULL, r12vrr_stack+653);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1167, r12vrr_stack+919, r12vrr_stack+1083, r12vrr_stack+891, r12vrr_stack+863, r12vrr_stack+674);
 tmp = r12vrr_stack + 1167;
 target_ptr = Libr12->gvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1335, r12vrr_stack+863, r12vrr_stack+1055, r12vrr_stack+514, r12vrr_stack+653, NULL);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1371, r12vrr_stack+891, r12vrr_stack+863, r12vrr_stack+535, r12vrr_stack+514, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1407, r12vrr_stack+1371, r12vrr_stack+1335, NULL, NULL, r12vrr_stack+863);
 tmp = r12vrr_stack + 1407;
 target_ptr = Libr12->gvrr_classes[1][7];
 for(i=0;i<108;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^2 ---*/
 _BUILD_p000(Data,r12vrr_stack+345, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+1515, r12vrr_stack+3, r12vrr_stack+48, NULL, NULL, Data->F+3);

 /*--- compute (d0|p0)^1 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+1524, r12vrr_stack+39, r12vrr_stack+1515, r12vrr_stack+0, r12vrr_stack+3, r12vrr_stack+345);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+1542, r12vrr_stack+51, r12vrr_stack+134, NULL, NULL, r12vrr_stack+48);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+1560, r12vrr_stack+57, r12vrr_stack+1542, r12vrr_stack+6, r12vrr_stack+51, r12vrr_stack+1515);

 /*--- compute (f0|d0)^0 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+1596, r12vrr_stack+75, r12vrr_stack+1560, r12vrr_stack+21, r12vrr_stack+57, r12vrr_stack+1524);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+39, r12vrr_stack+140, r12vrr_stack+354, NULL, NULL, r12vrr_stack+134);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1656, r12vrr_stack+150, r12vrr_stack+39, r12vrr_stack+111, r12vrr_stack+140, r12vrr_stack+1542);

 /*--- compute (f0|f0)^0 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1716, r12vrr_stack+210, r12vrr_stack+1656, r12vrr_stack+180, r12vrr_stack+150, r12vrr_stack+1560);
 tmp = r12vrr_stack + 1716;
 target_ptr = Libr12->gvrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|g0)^2 ---*/
 am[0] = 1;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+134, r12vrr_stack+364, r12vrr_stack+638, NULL, NULL, r12vrr_stack+354);

 /*--- compute (d0|g0)^1 ---*/
 am[0] = 2;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1816, r12vrr_stack+379, r12vrr_stack+134, r12vrr_stack+270, r12vrr_stack+364, r12vrr_stack+39);

 /*--- compute (f0|g0)^0 ---*/
 am[0] = 3;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1906, r12vrr_stack+424, r12vrr_stack+1816, r12vrr_stack+300, r12vrr_stack+379, r12vrr_stack+1656);
 tmp = r12vrr_stack + 1906;
 target_ptr = Libr12->gvrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1515, r12vrr_stack+653, r12vrr_stack+1034, NULL, NULL, r12vrr_stack+638);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2056, r12vrr_stack+674, r12vrr_stack+1515, r12vrr_stack+514, r12vrr_stack+653, r12vrr_stack+134);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2182, r12vrr_stack+737, r12vrr_stack+2056, r12vrr_stack+556, r12vrr_stack+674, r12vrr_stack+1816);
 tmp = r12vrr_stack + 2182;
 target_ptr = Libr12->gvrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1816, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1819, r12vrr_stack+131, r12vrr_stack+1816, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+111, r12vrr_stack+1003, r12vrr_stack+1819, r12vrr_stack+619, r12vrr_stack+131, NULL);

 /*--- compute (00|g0)^5 ---*/
 am[0] = 0;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+270, r12vrr_stack+1009, r12vrr_stack+111, r12vrr_stack+622, r12vrr_stack+1003, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+514, r12vrr_stack+1019, r12vrr_stack+270, r12vrr_stack+628, r12vrr_stack+1009, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+131, r12vrr_stack+1034, r12vrr_stack+514, r12vrr_stack+638, r12vrr_stack+1019, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1816, r12vrr_stack+1055, r12vrr_stack+131, NULL, NULL, r12vrr_stack+1034);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2392, r12vrr_stack+1083, r12vrr_stack+1816, r12vrr_stack+863, r12vrr_stack+1055, r12vrr_stack+1515);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2560, r12vrr_stack+1167, r12vrr_stack+2392, r12vrr_stack+919, r12vrr_stack+1083, r12vrr_stack+2056);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+39, r12vrr_stack+1055, r12vrr_stack+131, r12vrr_stack+653, r12vrr_stack+1034, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2056, r12vrr_stack+1335, r12vrr_stack+39, NULL, NULL, r12vrr_stack+1055);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2840, r12vrr_stack+1407, r12vrr_stack+2056, r12vrr_stack+1371, r12vrr_stack+1335, r12vrr_stack+1083);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+1335, &(Data->ss_r12_ss), NULL, r12vrr_stack+12, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+1338, r12vrr_stack+1335, &(Data->ss_r12_ss), r12vrr_stack+15, r12vrr_stack+12, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+111, r12vrr_stack+1338, r12vrr_stack+1335, r12vrr_stack+121, r12vrr_stack+15, r12vrr_stack+12, NULL);

 /*--- compute (p0||f0)^0 ---*/
 _R_BUILD_p0f0(Data,r12vrr_stack+2056, r12vrr_stack+111, NULL, r12vrr_stack+180, r12vrr_stack+121, NULL, r12vrr_stack+15);
 tmp = r12vrr_stack + 2056;
 target_ptr = Libr12->rvrr_classes[1][3];
 for(i=0;i<30;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+270, r12vrr_stack+111, r12vrr_stack+1338, r12vrr_stack+285, r12vrr_stack+121, r12vrr_stack+15, NULL);

 /*--- compute (p0||g0)^0 ---*/
 _R_BUILD_p0g0(Data,r12vrr_stack+2086, r12vrr_stack+270, NULL, r12vrr_stack+300, r12vrr_stack+285, NULL, r12vrr_stack+121);
 tmp = r12vrr_stack + 2086;
 target_ptr = Libr12->rvrr_classes[1][4];
 for(i=0;i<45;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+514, r12vrr_stack+270, r12vrr_stack+111, r12vrr_stack+535, r12vrr_stack+285, r12vrr_stack+121, NULL);

 /*--- compute (p0||h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+2392, r12vrr_stack+514, NULL, r12vrr_stack+556, r12vrr_stack+535, NULL, r12vrr_stack+285);
 tmp = r12vrr_stack + 2392;
 target_ptr = Libr12->rvrr_classes[1][5];
 for(i=0;i<63;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+863, r12vrr_stack+514, r12vrr_stack+270, r12vrr_stack+891, r12vrr_stack+535, r12vrr_stack+285, NULL);

 /*--- compute (p0||i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+2455, r12vrr_stack+863, NULL, r12vrr_stack+919, r12vrr_stack+891, NULL, r12vrr_stack+535);
 tmp = r12vrr_stack + 2455;
 target_ptr = Libr12->rvrr_classes[1][6];
 for(i=0;i<84;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_p0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1335, r12vrr_stack+180, r12vrr_stack+300, r12vrr_stack+210, r12vrr_stack+75, r12vrr_stack+21);
 tmp = r12vrr_stack + 1335;
 target_ptr = Libr12->t2vrr_classes[1][3];
 for(i=0;i<30;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_p0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2131, r12vrr_stack+300, r12vrr_stack+556, r12vrr_stack+424, r12vrr_stack+210, r12vrr_stack+180);
 tmp = r12vrr_stack + 2131;
 target_ptr = Libr12->t2vrr_classes[1][4];
 for(i=0;i<45;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+1515, r12vrr_stack+556, r12vrr_stack+919, r12vrr_stack+737, r12vrr_stack+424, r12vrr_stack+300);
 tmp = r12vrr_stack + 1515;
 target_ptr = Libr12->t2vrr_classes[1][5];
 for(i=0;i<63;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+1816, r12vrr_stack+919, r12vrr_stack+1407, r12vrr_stack+1167, r12vrr_stack+737, r12vrr_stack+556);
 tmp = r12vrr_stack + 1816;
 target_ptr = Libr12->t2vrr_classes[1][6];
 for(i=0;i<84;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_d0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1656, r12vrr_stack+210, r12vrr_stack+424, r12vrr_stack+1716, r12vrr_stack+1596, r12vrr_stack+75);
 tmp = r12vrr_stack + 1656;
 target_ptr = Libr12->t2vrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_d0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1003, r12vrr_stack+424, r12vrr_stack+737, r12vrr_stack+1906, r12vrr_stack+1716, r12vrr_stack+210);
 tmp = r12vrr_stack + 1003;
 target_ptr = Libr12->t2vrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+3056, r12vrr_stack+737, r12vrr_stack+1167, r12vrr_stack+2182, r12vrr_stack+1906, r12vrr_stack+424);
 tmp = r12vrr_stack + 3056;
 target_ptr = Libr12->t2vrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+3182, r12vrr_stack+1167, r12vrr_stack+2840, r12vrr_stack+2560, r12vrr_stack+2182, r12vrr_stack+737);
 tmp = r12vrr_stack + 3182;
 target_ptr = Libr12->t2vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_p0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+39, r12vrr_stack+180, r12vrr_stack+210, r12vrr_stack+300, r12vrr_stack+285, r12vrr_stack+121);
 tmp = r12vrr_stack + 39;
 target_ptr = Libr12->t1vrr_classes[1][3];
 for(i=0;i<30;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_p0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+131, r12vrr_stack+300, r12vrr_stack+424, r12vrr_stack+556, r12vrr_stack+535, r12vrr_stack+285);
 tmp = r12vrr_stack + 131;
 target_ptr = Libr12->t1vrr_classes[1][4];
 for(i=0;i<45;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+1578, r12vrr_stack+556, r12vrr_stack+737, r12vrr_stack+919, r12vrr_stack+891, r12vrr_stack+535);
 tmp = r12vrr_stack + 1578;
 target_ptr = Libr12->t1vrr_classes[1][5];
 for(i=0;i<63;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+619, r12vrr_stack+919, r12vrr_stack+1167, r12vrr_stack+1407, r12vrr_stack+1371, r12vrr_stack+891);
 tmp = r12vrr_stack + 619;
 target_ptr = Libr12->t1vrr_classes[1][6];
 for(i=0;i<84;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_d0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1093, r12vrr_stack+210, r12vrr_stack+1716, r12vrr_stack+424, r12vrr_stack+300, r12vrr_stack+180);
 tmp = r12vrr_stack + 1093;
 target_ptr = Libr12->t1vrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_d0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1716, r12vrr_stack+424, r12vrr_stack+1906, r12vrr_stack+737, r12vrr_stack+556, r12vrr_stack+300);
 tmp = r12vrr_stack + 1716;
 target_ptr = Libr12->t1vrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+1900, r12vrr_stack+737, r12vrr_stack+2182, r12vrr_stack+1167, r12vrr_stack+919, r12vrr_stack+556);
 tmp = r12vrr_stack + 1900;
 target_ptr = Libr12->t1vrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+2176, r12vrr_stack+1167, r12vrr_stack+2560, r12vrr_stack+2840, r12vrr_stack+1407, r12vrr_stack+919);
 tmp = r12vrr_stack + 2176;
 target_ptr = Libr12->t1vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||f0)^0 ---*/
 _R_BUILD_d0f0(Data,r12vrr_stack+1365, r12vrr_stack+2056, r12vrr_stack+111, r12vrr_stack+210, r12vrr_stack+180, r12vrr_stack+121, r12vrr_stack+21);
 tmp = r12vrr_stack + 1365;
 target_ptr = Libr12->rvrr_classes[2][3];
 for(i=0;i<60;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||g0)^0 ---*/
 _R_BUILD_d0g0(Data,r12vrr_stack+1425, r12vrr_stack+2086, r12vrr_stack+270, r12vrr_stack+424, r12vrr_stack+300, r12vrr_stack+285, r12vrr_stack+180);
 tmp = r12vrr_stack + 1425;
 target_ptr = Libr12->rvrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+2539, r12vrr_stack+2392, r12vrr_stack+514, r12vrr_stack+737, r12vrr_stack+556, r12vrr_stack+535, r12vrr_stack+300);
 tmp = r12vrr_stack + 2539;
 target_ptr = Libr12->rvrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+176, r12vrr_stack+2455, r12vrr_stack+863, r12vrr_stack+1167, r12vrr_stack+919, r12vrr_stack+891, r12vrr_stack+556);
 tmp = r12vrr_stack + 176;
 target_ptr = Libr12->rvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];


}

